*COMDECK HISTORY *L470*    *************************************************************
 SW1A183  (BAM 1.5 PL)
          721 AND 354 ERRORS GENERATED DURING A GET ON C/F FILES
          RESIDING ON S-TAPE BECAUSE OF BAD REGISTER USAGE IN SYSY
          MACRO AND INVALID PRUSIZ BEING STORED IN THE FIT. 
          GAG    1/18/78     OPEN$RM,GET$SQ 
  
 SW1A198  (BAM 1.5 PL)
          CLOSE DISCONNECT WAS HUNG IN AUTO RECALL ON NOS.
          GAG    01/26/78    CLSF$RM
  
 SW1A200  (BAM) 
          DO NOT SET THE AUTO RECALL FLAG IF THE FILE RESIDES ON RMS
          DEVICE. 
          JRL  01/26/78  OPENDRM
 SW1A203  (BAM) 
          -GETP/SKP WAS NOT WORKING PROPERLY
          -INVALID PTL VALUE SOMETIMES RETURNED BY GETDSQ AND GETDFU
          JRL  01/27/78  GET$S,GET$SQ,GET$FU
 SW1A209  (BAM) 
          TIMING PROBLEM FIXED BY AUTO RECALL CALL
          JRL  01/27/78  SKSF$SQ
SW1A210 
          CORRECT COMPOSED MACRO CALL IN /PUTDZ/ TO AVOID MODE=1 ERROR
          ON BETA MACHINE.
          GBK       01/25/78       PUTDZ
  
 SW1A211  (BAM) 
          XBS PARAMETER WAS NOT RECOGNIZE BY THE FILE CARD PROCESSOR. 
          RPN  01/27/78  FILE 
SW1A214                                                                 000120
          CHANGE 120 ERROR TO 143 ERROR WHERE FO=WA GET ENCOUNTERS EOIWA000130
          AT MID REQUEST ON READ DIRECTLY INTO WSA CASE.                000140
          GBK       02/01/78       COMMDWA                              000150
                                                                        000160
 SW1A223  (BAM) 
          EQUATES F AND I KEY TYPES 
          JRL  02/08/78  /CMNTXT/,TXTCRM,IOTEXT,SYSTEXT 
 SW1A236  (BAM) 
          ON A WRITE, WA WAS NOT UPDATED IF RL=N*100B.
          TWJ  03/08/78  COMMDWA
 SW1A243  (BAM PL)
          SETS THE WRITE BIT FOR THE FILE ZZZZZOU IN ORDER TO GET THE 
          BUFFER FLUSHED. 
          REJ  03/23/78  GPTMDSQ,/TPUTDSQ/
 *L477*    **************************************************** 
 SW1A192  (BAM PL)
          PREVENT MODE=1 ERROR ON SKIPB OF S-TAPE BY SETTING BLP TO 
          FIRST IN CTLDRM AT BUFFER ALLOCATION TIME AND IN OPENDRM. 
          ALSO REPLACE BLP TEST IN GET$SQ WITH SOL TEST TO AVOID LOOP.
          GBK       01/20/78       CTLDRM,GETDSQ,OPENDRM
  
 SW1A204  (BAM PL)
          CL/LL FIELD OF FILE MACRO SHOULD DEFAULT TO ZERO WHEN RT"R. 
          GBK       01/30/78       IOTEXT 
  
 SW1A212  (BAM PL)
          SUPPORT ALL CLOSE FLAGS IN FILE CONTROL CONTROL CARD. 
          GBK       01/27/78       FILE 
  
 SW1A215  (BAM PL)
          CORRECT FP AND LOP SETTINGS ON CONNECTED GET OPERATION. 
          GBK       02/01/78       GPTMDSQ
  
 SW1A219  (BAM PL)
          SET NOTE DISPLAY BIT IN EFC FIELD TO ONE IN FITDMP. 
          FITDMP IS INTERPRETED AS AN IMPLICIT REQUEST BY THE USER
          FOR NOTES ON THE ERROR FILE.  ASSURE B1=1.
          GBK       02/21/78       FTNIF,TXTCRM 
  
 SW1A220  (BAM PL)
          PUT SPACE FOR LAST TERMINATOR IN LIST$RM AND FIX COPY 
          TO NEW BLOCK LOGIC TO INCLUDE LAST ENTRY IN OLD BLOCK.
          GBK       02/03/78       OPENDRM,GPTMDSQ,EFDCRM,LISTDRM 
  
 SW1A221  (BAM PL)
          GENERAL CLEAN UP CODE 
          FIX ERROR NUMBER ISSUED BY CONTROL
          REMOVE UNNECESSARY RCLP.RM CALLS FROM COMMDWA 
          CHANGE FLSH$WA TO USE SAME ERROR CHECKING AS COMMDWA
          TWJ    12/07/77    /FLSHDWA/,/REWDWA/,COMMDWA,GETDWA,CTLDRM 
  
 SW1A230  (BAM PL)
          CRM DOES NOT KNOW WHERE ITS CAPSULES ARE WHEN WE ARE IN STATIC
          OVERLAY MOVE.  THE CAPSULE LINKING MECHANISM FAILS IN FTN 
          OVERLAYS BECAUSE THE PASSLOC TABLES ARE NOT UPDATED.
          IT IS NECESSARY TO PROVIDE THE FCL ROUTINE "OVERLAY" WITH 
          THE UTILITY TO LINK AND DELINK CRM CAPSULES WHEN IN STATIC
          OVERLAY MODE. 
          GAG    04/24/78    FTNIF,GETDSQ,PUTDSQ,TXTCRM 
  
 SW1A232  (BAM PL)
          THE VALUES FOR FILE CARD PARAMETER LCR WERE NOT CORRECTLY 
          DEFINED.
VBG       01/10/78  FILE
  
 SW1A234  (BAM PL)
          DECREASE COMPILE TIME AND FIELD LENGTH FOR RM$XFIT. 
          GBK       02/14/78       RMDXFIT,FTNIF
  
 SW1A237  (BAM PL)
          FIXES MISCELLANEOUS PROBLEM IN THE CYBER 176 CODE 
          JRL  03/15/78 
 SW1A238  (BAM PL)
          CONNECTED FILES WERE NOT BEING FLUSHED AT CLOSE TIME ON NOS.
          GAG    03/16/78    CLSFDRM
  
 SW1A239  (BAM PL)
          OUT POINTER WAS NOT CORRECTLY UPDATED AFTER READING AN S
          RECORD FROM AN S OR L TAPE IF THE UNUSED BIT COUNT WAS NOT 0. 
          JRL  03/21/78  GETDS,/GETDS/
 SW1A239A (BAM PL)
          THE BEGINNING CHARACTER INDICATOR WAS NOT PROPERLY RESET
          RESULTING SOMETIMES IN THE LOSS OF ONE WORD IN THE INPUT
          BUFFER. 
          JRL  06/28/78  GETDS,/GETDS/
 SW1A241  (BAM PL)
          ALLOW 24 BITS OF MRL IN CHWR$RM.
          AVOID SETTING MLRS > 512 FOR RT=S AND MBL=0.
          AVOID INFINITE LOOP IN PUT$S IN ABOVE CASE BY SETTING 
          MRL TO MINIMUM OF MRL AND 5120.  DETECT ERROR 142.
          GBK       03/20/78       CTL$RM,OPENDRM 
  
 SW1A245  (BAM PL)
          MODE 0 IN DF$CRM IF EFC IS ON, BECAUSE X5 WAS BEING WIPED OUT.
          GAG    03/27/78    DFDCRM 
  
 SW1A246  (BAM PL)
          1. CORRECT STOREF OF MINUS ZERO INTO ONE BIT NUMERIC FIELD. 
          2. CLARIFY DIAGNOSIS OF NUMERIC STOREF TO A SYMBOLIC FIELD. 
          3. CORRECT DISPLAY OF UNDEFINED SYMBOL UNDER NOS. 
          GBK    03/28/78          FTNIF
  
 SW1A247  (BAM PL)
          FIXES GET$S INTERFACE WITH MOVE$RM WHEN CMU IS ON.
          JRL  04/03/78  GETDS,/GETDS/
 SW1A249  (BAM PL)
          AVOID DESTRUCTION OF WORD 15B OF THE FIT WHEN A GIVEN ERROR 
          OCCURS MORE THAN 63 CONTINGUOUS TIMES ABOVE ERROR LIMIT.
          GBK       03/30/78       DF$CRM 
  
 SW1A252  (BAM PL)
          PADDING OF A Z TYPE RECORD AFTER A PARTIAL GET EXCEEDS THE
          REQUESTED LENGTH
          JRL  04/06/78  GETDZ,/GETDZ/
 SW1A253  (BAM PL)
          CRM FAILS TO PLACE FILENAME OUTPUT IN LOF$RM WITH ORIGINAL
          FIT POINTER.  ALSO, THE CONNECTED FILE SHOULD BE FLUSHED AT 
          CLOSE TIME ON NOS AS WELL AS ON NOS/BE. 
          GAG    04/26/78    CLSFDRM,GPTMDSQ
  
 SW1A262  (BAM PL)
          CLOSE DISCONNECT DOES NOT WORK ON NOS FOR FILENAME OUTPUT.
          CHANGE DEVICE TYPE TO MS AND ISSUE LFM 15 SYSTEM REQUEST. 
          GAG    05/02/78    CLSFDRM
  
 SW1A264  (BAM PL)
          ADD ERROR 552 TO ERROR TEXT FOR AAM 1.5 
  
          NOTE     NEEDED IF AM1A072 IS INSTALLED IN THA AAM 1.5 PL.
  
          GAG    03/10/78    RMDMSGS
  
 SW1A279  (BAM PL)
          INTERNAL FIT FIELDS STFTA, DARO, MPRO MUST BE ADDED TO TXTCRM.
          THESE FIT FIELDS WERE DEFINED IN THE AAM 1.5 CONTROLLER.
  
          NOTE.   NEEDED FOR THE INSTALLATION OF AM1A072A 
  
          GAG    05/18/78    TXTCRM 
 *L485*    *****************************************************
 SW1A231  (BAM 1.5 PL)
          FO FO=WA AND SBF=YES, A BUFFER ARGUEMENT ERROR MAY OCCUR WHEN 
          USING DEFAULT BUFFER POINTERS AND WRITING BEYOND EOI.  THE
          BUFFER POINTERS AND BFS SHOULD DEFAULT TO THE FOLLOWING UNDER 
          THE AFOREMENTIONED CONDITIONS:  
          FIRST = IN = OUT = WSA
          LIMIT = RRL/10 + WSA + 1
          BFS = RRL/10
          WHEN RRL IS 0, USE MRL INSTEAD. 
          GAG    04/26/78    PUTDWA 
  
SW1A257 
          ENSURE SBF TYPE FILE IS INCLUDED IN OPEN FILES LIST.
          ENSURE RE-OPENED FILE IS INCLUDED IN OPEN FILES LIST. 
          GBK       04/14/78       OPENDRM
  
 SW1A268  (BAM 1.5 PL)
          FOR RT=S, IF EOI IS ENCOUNTERED ON A SKIPFL, A 104 ERROR IS 
          GENERATED IF A SKIPBL IS PROCESSED NEXT.  ERROR CONDITIONS
          EXIST IF CODE-AND-STATUS BITS 10-13 ARE NON-ZERO, NOT 9-13. 
          GAG    05/10/78    OPENDRM,SKSBDSQ
  
 SW1A269  (BAM PL)
          CONDITIONAL CIO CALL PREVENTS UNNECESSARY ROLL-OUTS IN NOS. 
          JRL  05/17/78  GPTMDSQ,/TPUTDSQ/
SW1A270 
          ADD ERROR 215 TO MESSAGE TEXT CAPSULE FOR DETECTION OF
          OUTSTANDING FATAL ERROR ON ALTERNATE FIT. 
          GBK       05/05/78  RM$MSGS 
  
SW1A271 
          AVOID POST PROCESSOR RECORD TERMINATION ON ENCOUNTERING A 
          RECORD TERMINATOR WITHIN A MESSAGE INSERT.  ALSO AVOID
          PROCESSING A NULL REC ORD (TWO CONSECUTIVE RECORD TERMINATORS)
          ALSO CORRECT PROCESSING OF TYPE"CHARACTER" INSERT WHEN
          MODE"CONTAINED".
          GBK       05/05/78       CRMEP
  
 SW1A272  (BAM PL)
          TOO MANY CIO CALL ATTEMPTS IN PUT$SQ. 
          JRL  05/18/78  PUTDSQ,PUTDCI
 SW1A273  (BAM PL)
          AN INVALID I BLOCK CONTROL WORD WAS WRITTEN AFTER A READ
          TO EOP/ BACKSPACE/ WRITE SEQUENCE WHEN A W CONTROL WORD WAS 
          THE LAST WORD OF THE PRECEDING I BLOCK
          TWJ  05/20/78  SKBLDSQ
 SW1A278(BAMPL) 
          CRM SETS THE RECORD MARK TO THE DEFAULT VALUE 62B IF AND ONLY 
          IF RT=R AND RMK IS OMITTED IN THE COMPASS FILE MACRO OR IN THE
          FORTRAN INTERFACE MACRO FILEXX. THE USER MUST EXPLICITLY SPECIFY
          THE RECORD MARK VALUE IN THE FILE CONTROL STATEMENT FOR A R TYPE
          RECORD. CRM DOES NOT ANALIZE THE SPECIFICS OF THE CHANGES IN THE
          RECORD TYPE FROM DEFINING THE FIT TO MODIFYING THE FIT. 
          MS        05/17/78       FTNIF
  
SW1A280 
          SET.RM MACRO MADE TO INITIALIZE REG B1 MORE 
          EFFECTIVELY (ACTUAL CHANGES MADE IN S=1.6RM MACRO)
          LCM         06/09/78        TXTCRM,/TXTCRM/ 
  
 SW1A282  (BAM PL)
          FOR F TYPE RECORD: IF RL>FL AND TRM=0, IS A CASE OF TRANSFER
          EXCESS DATA (ERROR 141). IF RL<FL AND TRM=1, IS A CASE OF 
          TRANSFER INSUFFICIENT DATA (ERROR 143). 
          FOR Z TYPE RECORD: IF RL>MRL AND TRM=0, IS A CASE OF TRANSFER 
          EXCESS DATA (ERROR 142). IF RL<MRL AND TRM=1, IS A CASE OF
          TRANSFER INSUFFICIENT DATA (ERROR 143). 
          MS        05/18/78       /PUTDSQ/ 
  
SW1A294 
          EXCLUDE EXTRA BLANK FROM LINE OF CONNECTED OUTPUT.
          THIS SHOULD ALLOW CORRECT FUNCTION OF NOS CONTROL BYTES.
          CARE MUST BE TAKEN TO PRESERVE TRAILING COLON.
          GBK       07/28/78       GPTM$SQ
  
SW1A303 
          CLEAR CODE AND STATUS AFTER SKIP TO EOR WHEN BUFFERED S-TYPE
          RECORD GET ENCOUNTERS EXCESS DATA CONDITION.  THIS AVOIDS 
          SPURIOUS EOR CONDITION AT START OF NEXT GET.
          GBK       08/11/78       GET$S
  
SW10001 
          CORRECT THE FOLLOWING MALADIES IN CONNECTED I/O.
          1. ENDFILE RESULTS IN ERROR MODE=1. 
          2. RT=U PADDING.
          3. RT=S LOST DATA ON PUT. 
          GBK       08/09/78       GPTM$SQ,CTL$WR 
  
 SW1A284  (BAM PL)
          IF RL=0 AFTER CIO READ SKIP, SET FP = 10, THEN TAKE DATA EXIT.
          GAG    09/01/78    GPTMDSQ
  
 SW10010  (BAM PL)
          ON CONNECTED RT=Z OUTPUT CORRECT PLACEMENT OF TACKON WORD 
          WHEN LAST DATA IS AT LIMIT - 1. 
          GBK       08/31/78       GPTM$SQ
  
 SW10012  (BAM PL)
          LOP NOT ALWAYS SET. 
          JRL  09/08/78  SKSBDSQ
  
 SW10014  (BAM PL)
          RECORD COUNT SHOULD NEVER BECOME NEGATIVE.
          JRL  09/08/78  SKBLDSQ
  
 SW1A287(BAMPL) 
          RSC IS RESET AT THE FIRST REVERSE READ. 
          MS        07/10/78       /B2R1DSQ/
  
SW1A288   INCREASED (FROM 3 TO 5) THE LENGTH (IN BYTES) OF THE FIT FIELD
          MNEMONIC THAT CAN ALWAYS BE HANDLED CORRECTLY BY THE SEARCH 
          MACRO.  SEARCH IS CALLED BY IFETCH TO FIND A FIT LOCATION 
          GIVEN A MNEMONIC FOR THE LOCATION.
          LCM              06/26/78                   FTNIF 
  
 SW1A301  BAM IMS UPDATE. 
          LCM       08/30/78        ALL DECKS 
 SW1A312  (BAM PL)
          A REGISTER WAS DESTROYED BY THE CYBER 176 CODE
          JRL  09/14/78  REPLDSQ,/REPODSQ/,/B2R1DSQ/
  
 SW1A314  (BAM PL)
          ENTRY IN LIST-OF-FILES FOR A CON ECTD OUTPUT WAS CLEARED
          AT CLOSE TIME EVEN IF OTHER CONNECTED FILES WERE STILL ACTIVE 
          OR IF IN STATIC MODE. 
          JRL  09/22/78  TXTCRM,CLSFDRM 
  
 *L498*    ************************************************ 
 BAM*79   (BAM PL)
          COPYRIGHT CHANGES FOR 1979. 
          LCM       12-27-78       FWL(LISTDRM) 
  
 F2440SW  (BAM PL)
          SUPPORT CODE FOR EXTENDED DA AND AK.
          GAG    08/11/78    IOTEXT,FTNIF,TXTCRM,RMDMSGS
  
 F5348SW (BAM PL) 
          IN A TAF ENVIRONMENT UNDER NOS CRM MUST NOT GO INTO RECALL. 
          TO ENSURE THIS, TAF WILL LDSET(SUBST=$RM$$SYS=$-$RM$$TSYS$) AT
          USER CALL LOAD OF CRM.  THE SUPPORT CODE BREAKS RM$SYS= OUT OF
          CTLDRM INTO ITS OWN MODULE ND ADDS ITS TAF COUNTERPART AS 
          ANOTHER MODULE.  OPEN$RM NOW USES THE LOWER HALF OF THE ENTRY 
          POINT WORD TO FIND THE TARGET OF THE XJ PLUG. 
          GBK       10/12/78       CTLDLBL,CTLDRM,CTLDSKP,CTLDWR,CTRLDAA
                                   ERRDRM,GPWRDRM,RMDSYSE,RMDTSYS 
                                   OPENDRM,FILE 
  
 SW1A281  (BAM PL)
          PREVENT GET$S FROM UNLOADING SELF ON READ PARITY ERROR. 
          /DPEDSQ/ MAKES FALSE ASSUMPTIONS ABOUT CAPSULE IT RESIDES IN. 
          GBK       10/20/78       GET$S,RPE$SQ 
  
 SW1A304  (BAM PL)
          IF JOB ORIGIN IS NOT TERMINAL, DO NOT CONNECT 
          THE FILE. 
          GAG    10/16/78    OPENDRM
  
 SW1A305  (BAM PL)
          CPA IS A SPECIAL FIT FIELD, IT CONTAINS EITHER A VALUE
          OR AN ADDRESS.  IF THE SYSTEM ROUTINE IS DESIRED, CPA 
          CONTAINS A VALUE 1. IF  AN USER"S ROUTINE IS PROVIDED,
          CPA CONTAINS THE ADDRESS OF THE USER"S ROUTINE. 
          MS        10/24/78       FTNIF
  
 SW1A306  (BAM PL)
          EXCLUDE REDUNDANT FIELDS FROM FITDMP AND FTNIF SYMBOL TABLES. 
          GBK       08/29/78       RM$XFIT,FTNIF
  
 SW1A308  (BAM PL)
          FORTRAN INTERFACE CALLS MACRO GETP, PASSING PARAMETER 
          SKIP IN REGISTER B5.
          MS        09/27/78       FTNIF
  
 SW1A309  (BAM PL)
          INSERTED A RCL.RM CALL (AUTO RECALL) BEFORE THE BUFFER
          POINTERS ARE ALTERED DURING CLOSE PROCESSING. 
          LCM  07/24/78  CLSFDRM
  
 SW1A311  (BAM PL)
          DETECT 720 ERROR (DEVICE CAPACITY EXCEEDED) ON NOS SBF I/O. 
          GBK       08/31/78       GPWRDRM
  
 SW1A313  (BAM PL)
          MASK OUT FIT ADDRESS OF FITDMP CALL TO AVOID DAMAGE TO
          INSERT CONTROL WORD AND SUBSEQUENT ERROR MODE=1 IN CRMEP. 
          GBK       09/13/78       FTNIF
  
 SW1A315   (BAM PL) 
          SAVE AND RESTORE USER"S RETURN ADDRESS IN REGISTER B6 
          PROPERLY TO PREVENT DEXIT TO DESTRY IT. 
          MS        12/14/78       SKIPDSQ
  
 SW1A316  (BAM PL)
          X0 NOT PROPERLY SET WHEN SKBLDSQ CALLS GETDSQ.
          JRL  10/24/78  SKBLDSQ,/REPODSQ/,/B2R1DSQ/
  
 SW1A320  (BAM PL)
          IF CIO OPEN FAILS, PUT OUT FATAL ERROR 556B.
          GAG    10/26/78    RMDMSGS,OPENDRM,CLSVDSQ
  
 SW1A320A (BAM PL)
          WRITE THE HEADER LABELS ON NEXT REEL OF A MULTIPLE
          REEL FILE AT CLOSE VOLUME.
          MS        12/18/78       CLSVDSQ
  
 SW1A321  (BAM PL)
          CORRECT TEXT IN ERROR MSG ISSUED FOR AN ATTEMPTED ALT KEY 
          ACCESS WITHOUT MIP FILE SPECIFIED.
          KLS    78/09/27    RMDMSGS
  
 SW1A322  (BAM PL)
          MESSAGE FOR CRM ERROR 70 WAS INCOMPLETE.
          JRL  09/29/78  RMDMSGS
  
SW1A324   (BAM PL)
          ALLOW USER TO SET FF FIELD OF FIT VIA FILE
          MACRO AND CONTROL CARD. 
          BASELINE CHANGE REQUIRED. 
          GBK       09/29/78       FILE,IOTEXT
  
 SW1A332  (BAM PL)
          AM1A132 REQUIRES AM1CAP FIT FIELD TO BE DEFINED IN TXTCRM.
          GAG    10/15/78    /KWML/,TXTCRM
  
 SW1A334  (BAM PL)
          W CONTROL WORD MISSING ON LAST PART OF A W RECORD CREATED 
          BY A SERIE OF PUTP (NO RL SPECIFIED) AND TERMINATED BY A
          PUTP  TERM. 
          JRL  10/26/78  PUTDSQ,/PUTDSQ/,PUTDW,/PUTDW/
  
 SW1A337   (BAM PL) 
         FORTRAN INTERFACE ROUTINE PUTP FAILS TO TRANSMIT THE 
          TERM FLAG THROUGH THE MACRO PUTP. 
          MS        11/03/78       FTNIF
  
 SW1A339  (BAM PL)
          LCM FLAG LOST IN PUT$SQ.
          JRL  11/09/78  PUTDSQ,/PUTDSQ/
  
 SW1A341   (BAM PL) 
          TAPE FILE INFORMATIONS ARE DERIVED FROM THE EXTENDED
          FILINFO PARAMETER BLOCK WITH KEY WORD 1. THE PARAMETER
          FIELDS ARE DISCRIBED IN SIP 5810 FOR NOS AND SIP 2430 
          FOR NOS/BE. 
          MS        01/17/79       OPENDRM
  
 SW1A342   (BAM PL) 
          ON AN I-O FILE, CRM SHOULD ISSUE AN OPEN/WRITE REQUEST
          IF LCR=CRT, OR AN OPEN/READ REQUEST IF LCR=CHK. 
          MS        02/26/79       IOTEXT,SYSTEXT,TXTCRM,CLSFDRM, 
                                   CLSVDRM,LABLDRM,OPENDRM,FILE 
  
 SW1A342A (BAM PL)
          CLOSEM(FILE) SHOULD SET FIT FIELD LCR TO "CHECK", 
          IN ORDER READ CAN BE PERFORMED IF FILE IS RE-OPENED.
          MS        03/16/79       CLSFDRM
  
 SW1A351  (BAM PL)
          PUTP MAY CAUSE INFINITE LOOPS FOR U TYPE RECORDS IF PUTP TERM 
          REQUESTED AND RL NOT SET TO 0.  NONFATAL 142 ERROR MAY BE 
          ISSUED DURING PUTP - SHOULD BE FATAL.  D,T RECORDS MUST HAVE
          CONTROL FIELDS WITHIN PTL CHARACTERS TRANSFERED,DURING FIRST
          PUTP ISSUED.
          GAG    01/10/79    PUTDSQ,RMDMSGS 
  
 SW1A352  (BAM PL)
          A REWIND ON AN IS FILE NOT YET OPENED SHOULD NOT MODE OUT.
          GAG    12/14/78    CTRLDAA
  
 SW1A353  (BAM PL)
          RM ERROR 552 (START INVALID FOR AK/DA) IS REDUNDANT.  USE RM
          ERROR 245 INSTEAD.
          GAG    12/14/78    RMDMSGS
  
 SW1A356  (BAM PL)
          A CRM ERROR 173 SHOULD BE ISSUED WHEN A READ WITH RL=0 IS 
          ATTEMPTED ON A FILE WITH RT=U.
          JRL  12/27/78  GETDFU 
  
 SW1A357  (BAM PL)
          ELIMINATES ALL DAYFILE WARNING MESSAGES THAT ARE CURRENTLY
          GENERATED DURING THE ASSEMBLY OF BAM. 
          LCM       01/04/79       DCDT.SQ, DT.TYPE (PUTDDT)
                                   FIELD MACRO (RMDXFIT)
                                   S=0.CRM, IDC.RM MACROS (TXTCRM)
  
 SW1A358  (BAMPL) 
         GSF NOT RESET ON EXIT FROM SKIPBL. 
          LCM       01/18/79       SKIPBL 
  
 SW1A364  (BAM PL)
          FWB SPECIFIED BUT BFS=0, IN STATIC ENVIRONMENT, CAUSES MODE.
          GAG    01/18/79    CTLDRM 
  
 SW1A365  (BAM PL)
          NONEXISTENT CRM ERROR NUMBER.  NUMBER FOR ERROR BEING 
          DIAGNOSED IS 407B.
          LCM    02/15/79          /WARDSQ/ 
  
 SW1A366  (BAMPL) 
          IGONORES SKIP PARAMETER ON GETP CALLS FOR RT=U. 
          LCM       01/19/79       SKGT$SQ (GETDSQ) 
  
 SW1A368  (BAM PL)
          MASK-OUT WSA FOR FTN5 INTERFACE 
          JRL  02/01/79  FTNIF
  
 SW1A372  (BAM PL)
          ISSUE TRIVIAL ERROR MESSAGE IF USER SPECIFIES A BUFFER SIZE 
          LESS THAN 65 DECIMAL FOR WA FILE. 
          LCM       02/27/79        OPEN$WA (OPENDRM) 
  
 SW10013  (BAM PL)
          ENDFILE AND REWIND, IF ISSUED AGAINST A CONNECTED FILE, SHOULD
          FLUSH THE CONNECTED FILE. 
          GAG    9/25/78     CTLDWR 
  
 SW10015  (BAM PL)
          ADD CODE TO GPTMDSQ TO MAKE IT HANDLE PARTIAL PUTS WHICH
          ARE MULTIPLES OF WORDS. 
          TWJ       10/04/78       GPTMDSQ,/TPUTDSQ/
  
 SW10016  (BAM PL)
          EMPTY BUFFER TO PREVIOUS IN POINTER POSITION
          MS        09/29/78       /GETDS/
  
 SW10018  (BAM PL)
          IN CASE OF EXCESS DATA IN A ZERO BYTE RECORD, AMOUNT
          OF DATA AVAILABLE CURRENTLY MUST BE TESTED PRIOR TO 
          SEARCHING OF ZERO BYTE. 
          MS        12/20/78       /GETDZ/
  
 SW10020  (BAM PL)
          WHEN CURRENT OPERATION IS PARTIAL PUT:  
          FOR RT=F, SET RRL=FL. 
          FOR RT=Z, IF RRL=0, SET RRL=FL; OTHERWISE RRL 
          SHOULD REMAINS AS ITS SPECIFIED VALUE.
          MS        10/04/78       /PUTDSQ/ 
  
 SW10024   (BAM PL) 
          NEED NOT READ AHEAD, IF SBF IS SET. THE BUFFER LOCATION 
          WILL BE CHANGED TO USER DEFINED WSA AT THE FIRST GET OR 
          PUT TIME. WHATEVER READ INTO CURRENT BUFFER LOCATION IS 
          SIMPLY GONE.
          MS        11/07/78       OPENDRM
  
 SW10025  (BAM PL)
          INCORRECT MASKING OF AN 18 BIT FIELD. 
          JRL  10/16/78  REPLDSQ,/REPODSQ/,/B2R1DSQ/,SKBLDSQ,WARDSQ 
  
 SW10028  (BAM PL)
          WRITE AFTER READ ON S/L TAPE IS FAILING.
           JRL  10/19/78  WARDSQ,/REPODSQ/
  
 SW10030   (BAM PL) 
          READING  F-TYPE RECORDS FROM S/L TAPE, MNR AND BL DETERMINE 
          THE CONDITION OF INSUFFICIENT DATA. IF THE FILE IS OTHER
           THAN S/L TAPE, BL ALONE DETERMINES THE CONDITION OF
          INSUFFICIENT DATA.
          MS        12/04/78       /GETDSQ/ 
  
 SW10031  (BAM PL)
          PREVENT WORD 31B OF FIT FROM BEING DESTROYED WHEN READING AN
          INVALID W-CONTROL WORD.  SYMPTOM IS DM ERROR 777 *7 MORE TIMES
          ON LFN.  IF VALUE IS TOO LARGE WHEN STORING PRL THIS CODE WILL
          TRUNCATE THE VALUE. 
          GBK       11/08/78       GET$W
  
 SW10035  (BAM PL)
          LCM FLAG LOST WHEN READING AN UNFORMATTED RECORD (CYBER 176)
          JRL  11/29/78  GETDFU,/RMUDSQ/
  
 SW10036  (BAM PL)
          ON A WRITE AFTER READ ON S/L TAPE THE BLOCK BOUNDARY
          CONDITION WAS NOT DETECTED PROPERLY RESULTING IN AN I-O 
          ERROR (BAD S/L TAPE CONTROL WORD).
          JRL  01/24/79  WARDSQ,/WARDSQ/,/REPODSQ/
  
 SW10039   (BAM PL) 
          THE MINIMUM BUFFER SIZE TO PROCESS S-TYPE RECORDS ON
          PRU DEVICE IS THE SPECIFIED MBL VALUE ROUNDED UPWORD AS 
          MULTIPLES OF PRU SIZE PLUS THREE CM WORDS. THERE WAS AN 
          ERROR IN CONVERSION FROM MBL IN CHARACTERS TO BFS IN
          CM WORDS. 
          MS        01/10/79       OPENDRM
  
 SW10040  (BAM PL)
          FIT ADDRESS WAS BEING LOST IF LT WAS SPECIFIED IN 
          A FILE CALL.  FIX CONSISTS OF EXCHANGING TWO LINES
          IN THE SYMSRCH ROUTINE. 
          LCM       12/12/78       SYMSRCH (FTNIF)
  
 SW10044  (BAM PL)
          OUT = LIMIT CONDITION NOT DETECTED, COULD RESULT IN MODE 1
          DURING S RECORD PROCESSING. 
          JRL  01/04/79  GETDS,/GETDS/,/DPEDSQ/ 
  
 SW10048  (BAM PL)
          WHEN A Z-RECORD TERMINATOR THAT SPANS A BLOCK BOUNDARY IS 
          EXACTLY 66 BITS LONG, GET$Z DETECTS THAT THERE IS STILL 
          DATA AVAILABLE (BUT IN THIS CASE, ONLY A SINGLE CHARACTER), 
          AND SO DOES NOT CAUSE THE BUFFER TO BE REPLENISHED AS IT
          SHOULD BE.  FIX MAKES GET$Z DETECT THE NEED TO REPLENISH
          THE BUFFER IN THE CASE WHERE THE QUANTITY OF DATA 
          AVAILABLE IS 1 CHARACTER. 
          LCM       02/06/79       ENDLOOP (GETDZ)
  
 SW10054  (BAM PL)
          OUT WAS NOT BEING SET AFTER A PARITY ERROR HAD BEEN DETECTED
          MID-RECORD ON A SCOPE INTERNAL TAPE WITH EO=D, BT=C, AND RT=Z.
          LCM       01/31/79        ACPTDAT (RPE$SQ), DISP1 (RPE$SQ)
  
 SW10055   (BAM PL) 
          WHEN READ-PARITY-ERROR IS DETECTED ON DATA OF BLOCK TYPE K
          ON S/L TAPE, THE ERROR PROCESSOR RPE$SQ RE-INITIALIZES
          THE RECORD COUNTER KRN TO RB. WHILE PROCESSING THE PARITY 
          ERROR BLOCK, READ-AHEAD IS SUPPRESSED IF ANOTHER PARITY 
          ERROR BLOCK IS READ. IF ALL THE DATA IN THE PARITY ERROR
          BLOCK IS PROCESSED, OUT = ERE, THE INTERNAL PARITY ERROR
          FLAG AND THE END-POINTER OF THE PARITY ERROR BLOCK ARE
          CLEARED, AND READ-AHEAD IS ALSO RESUMED.
          MS        02/06/79       /GETDSQ/,/RPEDSQ/
  
 SW10058   (BAM PL) 
          CRM SHOULD DELAY SETTING OF UP UNTIL THE FILE CONTROL 
          CARDS HAVE BEEN PROCESSED. IF THE JOB ORIGIN IS DISK FILE,
          THEN UP=0 IS TO ENSURE AUTOMATIC DEVICE SET SWAPPING. 
          BECAUSE OF THE ERROR IN COBOL-4, THE USER MUST USE FILE 
          CONTROL CARD TO SPECIFY THE CORRECT ULP OPTION. 
          MS        02/12/79       OPENDRM,/KWML/ 
  
 SW10059  (BAM PL)
          PARTIAL UPDATE TO IMS.
          GAG    02/08/79    /CRMCOM/,IOTEXT
  
 SW10066  (BAM PL)
          A WRITE ON A WA FILE WITH SBF FLAG ON WAS RESULTING IN A
          BUFFER ARGUMENT ERROR.
          JRL  02/22/79  COMMDWA
  
 *L505*    ************************************************ 
 SW1A374  (BAM PL)
          WRITE ON CONNECTED FILE WAS NOT SETTING FP=EOR. 
          JRL  03/07/79  GPTMDSQ
  
 SW1A375  (BAM PL)
          SKIPFL WITH SKIP COUNT = 377777B FAILS TO DATA EXIT 
          MS        03/08/79       /GETDW/
  
 SW1A380  (BAM PL)
          XBS PARAMRTER WAS NOT PROCESSED BY THE FILEIS MACRO 
          JRL  03/16/79  IOTEXT,/CMNTXT/,/KWMG/,/CRMCOM/
  
 SW1A381  (BAM PL)
          LVL MUST BE SPECIFIED ON THE WEOR MACRO CALL.  IF NOT, DEFAULT
            IT TO 0.
          CLEAR LVL AT ENDFILE OR PUT AFTER GET OR SKIP.
          OTHERWISE, SQ FILES MAY GET EXTRA EOS, EOP MARKERS. 
          GAG    03/23/79    /CRMCOM/,CTLDWR,/PUTDSQ/,/WEOXDSQ/ 
  
 SW1A382  (BAM PL)
          OC SHOULD BE A FETCH ONLY FIELD.
          GAG    03/08/79    /KWMG/ 
  
 SW1A383  (BAM PL)
          CREATE FIT FIELD NOFCP TO PERMIT BYPASS OF FILE CARD
          PROCESSING. 
          GAG    03/08/79    /KWMG/,OPENDRM 
  
 SW1A384  (BAM PL)
          IF OPEN REQUESTED AND LOP IS OPEN AND FILE IS NOT OPEN, 
          CLEAR THE FNF FLAG. 
          REMOVE FNF CHECK IN OPNM$RM(WHICH IS IN CTL$RM).  POSTPONE
          THE CHECK UNTIL OPEN$RM PROCESSING. 
          GAG    03/07/79    OPENDRM,CTLDRM 
  
 SW1A386  (BAM PL)
          IF CAPSULE GPTMDSQ IS LOADED DYNAMICALLY, AFTER ALL THE 
          CONNECTED FILES ARE CLOSED, THE CAPSULE GPTMDSQ IS
          UNLOADED. IF THE LAST FILE GET CLOSED IA AN INPUT FILE, 
          THE FIRST ENTRY OF LOF MUST BE IDENTIFIED AS THE
          ZOU-FILE, THEN IT IS REMOVED FROM THE LIST, OTHERWISE 
          THE FIRST ENTRY OF LOF IS ASSUMED TO BE ZOU-FILE, 
          AND IS REMOVED FROM THE LIST. 
          MS        04/12/79       CLSFDRM,GPTMDSQ,/TPUTDSQ/
  
 SW1A387  (BAM PL)
          IF CNF IS CHANGED BETWEEN OPEN AND CLOSE, A REWIND OR 
          ENDFILE ON A CONNECTED FILE SHOULD NOT CAUSE A HANG IN
          AUTOMATIC RECALL.  THIS FIX TRIES TO AVOID SUCH A HANG
          BY COMPARING ZOU WITH THE FIRST ENTRY IN THE LOF TO CON-
          FIRM THAT ZOU IS VALID. 
          LCM       04/03/79        CTLDWR
  
 SW1A389  (BAM PL)
          CORRECT THE INCONSISTENCY IN AM2 DIRECTORY SIZE BETWEEN BAM 
          AND AAM AND PREVENT IT FROM HAPPENING AGAIN.
          REQUIRED TO INSTALL AM2A188 
          GAG    04/18/79    /CMNTEXT/,CTRLDAA
  
 SW1A390  (BAM PL)
          NOS CIO RESPONSE CODE ON SKIP-FILE-BACKWARD IS 53 FOR 
          BOTH BOI AND BOF. CRM CONSIDERS RESPONSE CODE 53 AS BOI,
          IF FP OF THE PREVIOUS CIO REQUEST IS BOF, AND SETS FP 
          TO BOI, THEN TAKES DATA EXIT. OTHERWISE, CRM TREATS 
          RESPONSE CODE 53 AS BOF AND SETS FP TO BOF, TAKES NORMAL EXIT.
          MS        04/26/79       SKIPDSQ
  
 SW1A397  (BAM PL)
          DELETE ROUTINES M.OP AND M.P FROM BAMLIB
          JRL  05/10/79  MOP
  
                                                                       .777T,GAG
 F2950CR  (BAM PL)
          THIS CODE USES THE NEW MODEL MICRO TO TEST THE AVAILABILITY 
          OF LCM AND CMU
          JRL  05/07/79  TXTCRM,/TXTCRM/
  
 SW1A400  (BAM PL)
          BYPASSES THE FILINFO CALL ON AN AAM FILE THAT HAS ALREADY BEEN
          OPENED (FSTT FIELD OF THE FIT NON-ZERO).
          JRL  04/13/79  OPENDRM
  
 SW1A402  (BAM PL)
          FMD DEVICE TYPE WAS MISTAKEN FOR AN L TAPE
          JRL  05/29/79  GPWRDRM
  
SW1A405   (BAM 1.5 PL)
          CORRECT REGISTER SAVE LOGIC IN RM$TSYS. 
          GBK       05/31/79       RMDTSYS
  
 SW10046  (BAM PL)
          WHENEVER STORING PRL BE SURE NOT TO OVERFLOW THE FIELD. 
          GAG    03/08/79    /TXTCRM/,/PUTDW/,SKBLDSQ 
  
 SW10071  (BAM PL)
          THE --CALL CLOSEM-- PARAMETER INDICATING VOLUME CLOSE RATHER
          THAN FILE CLOSE IS WIPED OUT BY CALL TO SYMSRCH (IN FTNIF). 
          FIX SAVES PARAMETER VALUE AROUND SYMSRCH REFERENCE. 
          LCM       02/27/79        CLOSEM (OPNCLS) 
  
 SW10075  (BAM PL)
          TO EXTRACT THE CHAR COUNT FROM A D TYPE RECORD, GETDDT RIGHT
          SHIFTS THE WORD CONTAINING THE COUNT TO REMOVE GARBAGE.  IN 
          CERTAIN CASES, THE SIGN EXTEND PROPERTY OF RIGHT SHIFTING PUTS
          GARBAGE IN AT THE LEFT.  THIS CODE GETS RID OF ANY GARBAGE
          INTRODUCED IN THIS MANNER.
          LCM       03/02/79       DTLTM (GETDDT) 
  
 SW10076  (BAM PL)
          MASK OUT POSSIBLE LEADING GARBADGE GENERATED DURING 
          THE PROCESS OF EXTRACTING THE RECORD LENGTH OF A
          D-TYPE RECORD.
          MS        03/08/79       /PUTDDT/ 
  
 SW10084  (BAM PL)
          IF EXCESS DATA IS DETECTED WHILE READING Z-TYPE RECORDS,
          THE TEMPORARY OUT POINTER B3 MUST BE TESTED AGAINST 
          BUFFER LIMIT AT THE BEGINNING OF ZERO-BYTE SEARCH LOOP, 
          OTHERWISE B3 MAY POINT AT LOCATION BEYOND CIRCULAR
          BUFFER LIMIT. 
          MS        04/02/79       /GETDZ/
  
 SW10090  (BAM PL)
          THIS IS DEFENSIVE CODE TO PROTECT US FROM THOSE WHO WOULD 
          ALTER CNF AFTER OPEN AND BEFORE CLOSE.  THIS FIX VERIFIES 
          THAT THE FIT ADDR IN ZOU IS VALID BEFORE THE ADDRESS IS 
          USED IN A CIO CALL TO RECALL THE FILE.
          LCM       03/28/79        SQFLSH (CLSFDRM)
  
 SW10094  (BAM PL)
          EXTRA DATA AT END OF A BLOCK ON A 9TRACK TAPE IS NOT DISCARDED
          IF MNR IS LESS THAN 2.
          JRL  04/12/79  GETDEK 
  
  
 SW10097  (BAM PL)
          IF AN EXCESS DATA ERROR(RM ERROR 142) OCCURRED DURING A GET 
          ON A C/Z FILE, GET WAS NOT CHECKING IF IN=OUT DURING THE
          SEARCH FOR THE END OF THE RECORD. 
          GAG    04/10/79    /GETDZ/
  
 SW10099  (BAM PL)
          TREATMENT OF BL IN SKBL$SQ WAS INCONSISTENT WITH THAT IN
          THE GET AND PUT CAPSULES.  SW10036 PARTIALLY CORRECTED THE
          PROBLEM, BUT CAUSED SOME INCONSISTENCIES WITHIN SKBL. 
          BOTH THE W AND Z RECORD PROCESSORS WITHIN SKBL$SQ ARE AFFECTED
          BY THIS FIX, WHICH INCREMENTS BL BY 1 WHEN BL IS INITIALIZED A
          BLOCK BOUNDARIES IF THE DEVICE IS S/L TAPE. 
          LCM       05/17/79       SKBLDSQ
  
 SW10103  (BAM PL)
          SHOULD CLEAR CODE-AND-STATUS BITS WHEN DETECT EOP 
          WHILE SKIPPING S-TYPE RECORDS.
          LCM       04/16/79       DEXIT (SKSFDSQ)
  
 SW10106  (BAM PL)
          IF PARTIAL PUTS ARE USED IN WRITING S RECORDS TO AN S TAPE, 
          EXCESS DATA ERRORS ARE NOT DIAGNOSED.  THIS FIX DETECTS THE 
          EXCESS DATA CONDITION WHEN A PTL IS RECEIVED THAT, IF WRITTEN 
          TO THE FILE, WOULD CREATE A RECORD LONGER THAN MRL. 
          LCM       04/05/79        PUT (PUTDS) 
  
 SW10108  (BAM PL)
          IF THE OUTPUT FILE IS CONNECTED, GPTMDSQ FAILS TO MOVE
          ALL BLANKS RECORD INTO OUTPUT BUFFER. 
          MS        04/19/79       /TPUTDSQ/
  
 SW10109  (BAM PL)
          FLUSH IN STATIC ENVIRONMENT MODED OUT BECAUSE FIT FIELD RTJP
          WAS ZEROED OUT BY ZAJ$RM(THE FCL STATIC INTERFACE IN BAM).
          THIS PROBLEM OCCURRED IN AN I/W FILE. 
          GAG    04/05/79    /PUTDW/,PUTDW
  
 SW10110  (BAM PL)
          EOF NOT BEING DETECTED ON S TAPE, RT=S WHEN BUFFER IS LARGE 
          ENOUGH TO ALLOW READ-AHEAD. 
          JRL  04/17/79  GETDS
  
 SW10111  (BAM PL)
          173 ERROR, NOT A 354, SHOULD BE ISSUED IF 
          MBL<RB*FL FOR BT=K,RT=F.
          LCM       04/13/79      NEWBLOCK (PUTDSQ) 
  
 SW10121  (BAM PL)
          READ OF LARGE SEQUENTIAL FILE COULD FAIL IF THE BL FIELD
          OVERFLOWED.  THIS FIX TRUNCATES BL (REDUCES BL BY A MULTIPLE
          OF 640 DECIMAL) WHEN, ON EXIT FROM GET$SQ, BL IS GREATER THAN 
          OR EQUAL TO 4194304 (22ND POWER OF 2).  THAT IS, THE BULK OF
          THIS CODE WILL BE EXECUTED ONCE EVERY 42,000 WORDS OR SO ON A 
          READ OF A LARGE FILE.  NOTE THAT THIS ALTERATION OF BL WILL 
          NOT APPEAR IN THE SYMBOLIC REFERENCE TABLE FOR GETDSQ.
          LCM       05/22/79       RTURN (/GETDSQ/) 
  
 SW10124  (BAM PL)
          A BUFFER FULL CONDITION WAS NOT DETECTED ON S TAPE FOR RT=S 
          JRL  05/18/79  PUTDS,/PUTDS/
  
 *L508*    ************************************************ 
 SW1A351A (BAM PL)
          ON PUTP WITH TERM PARAMETER AN ERROR 143 WAS ERRONEOUSLY
          DETECTED. 
          JRL  07/26/79  PUTDSQ 
  
 SW1A369A (BAM PL)
          A SKIP WITH NEGATIVE COUNT WAS FAILING FOR W RECORDS BECAUSE
          ST OVERLAID WSAS IN THE FIT.  CODE IDENT SW1A369 FIXED THE
          PROBLEM BY MOVING ST, HOWEVER THE RELOCATABLE CONTROLLERS 
          USING ST, CAPTURED IN ABSOLUTES, CAUSED PROBLEMS IF A REBUILD 
          OF THE ABSOLUTE WAS NOT PERFORMED ON THE NEW SYSTEM.
          THIS CODE IDENT RETURNS THE PL TO THE PRE-SW1A369 LEVEL,
          THEN MOVES WSAS TO OVERLAY IBL. 
          GAG    09/25/79    /KWML/,TXTCRM
  
 SW1A388  (BAM PL)
          IF DVT IS S/L TAPE, RT=S, AND MRL=0, MRL SHOULD BE 5120.
          LCM       05/07/79       MBLSL (OPENDRM)
  
 SW1A394  (BAM PL)
          RM ERROR 140 SHOULD BE A FATAL ERROR IF DATA WAS LOST, I.E. 
          IF 101B STATUS IN ECD(NOS/BE).  140 SHOULD ALWAYS BE FATAL ON 
          NOS.
          GAG    5/8/79      /PUTDSQ/ 
  
 SW1A399  (BAM PL)
          CORRECT CODE IN PUTDWA WHICH DID 18 BIT ARITHMETIC ON 
          A 24 BIT FIELD,OVERFLOWING AND ALTERING THE FO AND RT 
          FIELDS. 
          TWJ    06/06/79    PUTDWA 
  
 SW1A400A (BAM PL)
          OPEN ON AAM MULTI ACCESS FILES WAS GETTING WRONG OP CODE
          JRL  08/14/79  OPENDRM
  
 SW1A406 (BAM 1.5 PL) 
          IF PDO IS CALLED BECAUSE THERE IS NO SPACE IN THE BUFFER, WCW 
          THAT IS WRITTEN MAY BE INCORRECT, DEPENDING UPON THE SYSTEM LO
          LOAD- I.E. TIMING.  MORE PRECISELY, X2, WHICH USUALLY CONTAINS
          MVL, IS NOT PRESERVED ACROSS A GET1.SQ CALL - PDO WIPES X2. 
          GAG    06/11/79    /PUTDW/
  
 SW1A418  (BAM PL)
          FORTRAN INTERFACE CRACKS RT, BT, KT SYMBOLS INCORRECTLY.
          GAG    08/01/79    FTNIF
  
 SW1A420  (BAM 1.5 PL)
          SKIP BACKWARD FOLLOWED BY A SKIP FORWARD CAUSES A LOOP TO TIME
          LIMIT, BECAUSE BL WHICH IS SET BY SKIP BACKWARDS BECOMES OUT
          OF SYNCH WITH STM.  RESET STM AS ZERO AT THE BEGINNING OF 
          SKIP FORWARD. 
          GAG    08/10/79    SKBLDSQ
  
 SW1A422  (BAM PL)
          PARTIALLY PUT A CZ RECORD, BAM REPLACES THE TRAILING BLANK- 
          WORD BY A ZERO-WORD WITH A LEADING BLANK-CHARACTER,RATHER 
          THAN AN ALL-ZERO-WORD.
          MS       08/22/79       /PUTDZ/ 
  
 SW1A424  (BAM 1.5 PL)
          THE FILEXX, FORTRAN INTERFACE ROUTINE, DOES NOT HANDLE CPA
          CORRECTLY WHEN THE PARAMETER IS PASSED BLANK-FILLED.
          GAG    08-16-79    FTNIF
  
 SW1A431  (BAM PL)
          PROBLEM: A WRITE WITH WSA = 0 ON A CONNECTED FILE 
          RESULTS IN AN ERROR MODE 1
          SOLUTION: WRITE COMMAND ON A CNF WITHOUT WSA WILL BE
          IGNORED 
          JRL  09/13/79  GPTMDSQ,/TPUTDSQ/
  
 SW10052  (BAM PL)
          WRITE END-OF-PARTITION ON W TYPE FILE WAS GENERATING AN 
          INCORRECT  SET OF W CONTROL WORDS WHEN ONLY 1 OR 2 WORDS WERE 
          LEFT IN THE LAST BLOCK. 
          GAG  07/26/79  PUTDSQ,PUTDW 
  
 SW10074  (BAM PL)
          BAM WILL USE THE LARGEST BUFFER ALLOCATED TO A CONNECTED
          FILE FOR CONNECTED OUTPUT.
          IF A RECORD IS LARGER THAN THE AVAILABLE BUFFER AN ERROR
          354 IS ISSUED.
          JRL  07/24/79  GPTMDSQ,CLSFDRM
  
 SW10074A (BAM PL)
          FIXES AN RM ERROR 354 (BUFFER TOO SMALL) DETECTED WHEN THE
          OUTPUT BUFFER FOR A CONNECTED OUTPUT FILE WAS GETTING FULL
          FIXES ALSO A PROBLEM OBSERVED WHEN ISSUING MIXED MODE WRITE 
          COMMANDS ON A CONNECTED FILE (FIRST LINE LOST)
          JRL  10/19/79  GPTMDSQ
  
 SW10118  (BAM PL)
          CODING ERROR THAT WOULD IN SOME CASES CAUSE OUT TO BE SET 
          TO LIMIT IS CORRECTED.
          LCM       04/09/79       GTMR$SQ (GETDSQ) 
  
 SW10121A (BAM PL)
          BL AND STM WERE GETTING INCORRECTLY SET ON A LARGE UNBLOCKED
          SEQUENTIAL FILE RESULTING IN A BAD POSITIONNING DURING A
          BACKSPACE OR A REPLACE
          JRL  08/22/79  GETDSQ,/GETDSQ/
  
 SW10147  (BAM PL)
          THE MOVE ROUTINE IN GET$S WAS MOVING ONE WORD WHEN A ZERO 
          WORD MOVE WAS REQUESTED.
          GAG    06/18/79    GETDS
  
 SW10148  (BAM PL)
          TEST MNB DURING OPEN TO SEE IF USER SPECIFIED AN MNB GREATER
          THAN MBL.  ALSO, IF MBL HAS BEEN REDUCED AND THE USER 
          SPECIFIED AN MNB EQUAL TO MBL, REDUCE MNB TOO.
          LCM       06/21/79        FIXMBL (OPENDRM)
  
 SW10153  (BAM PL)
          SAVE PRL AROUND BK2RD1 CALL SO THAT BACKSPACING OF
          RECORDS ON I/W 1.4 FILES WORKS PROPERLY.
          LCM       07/03/79       SKBL$W (SKBLDSQ) 
  
 SW10154  (BAM PL)
          CORRECTS COMPASS CODING ERROR THAT CAN RESULT IN A FATAL
          ERROR DURING ASSEMBLY OF BAMLIB IF #DEV# IS UNDEFINED.
          LCM       07/09/79        CAP.RM (TXTCRM) 
  
 SW10155  (BAM PL)
          PRL FIELD SHOULD BE CLEARED ON A REWIND IN CASE AN IW 
          FILE HAS BEEN OPENED FOR OUTPUT, WRITTEN, CLOSED, REWOUND,
          AND OPENED FOR OUTPUT AGAIN.
          LCM       07/18/79       REWDSQ 
  
 SW10162  (BAM PL)
          GARBAGE WAS BEING INTRODUCED INTO THE BL FIELD DURING 
          THE PROCESS OF EXTRACTING BL FROM AN I-BLOCK CONTROL
          WORD AND STORING IT IN THE FIT. 
          LCM       07/17/79       SKBL$W (SKBL$SQ) 
  
 SW10166  (BAM PL)
          PUT$WA CLOBBERS FIT (WORD 13B) IF WA IS ON A PRU BOUNDARY,
          THE AMOUNT OF DATA REQUESTED IS AN INTEGRAL NUMBER OF PRUS
          AND .GE. 205 PRUS.
          PUT$WA WAS PROCESSING A 24 BIT FIELD AS AN 18 BIT FIELD 
          (X0, THE RIGHTMOST FIELD).
          GAG    7/27/79     PUTDWA 
  
 SW10167  (BAM PL)
          GET$WA CLOBBERS FIT IF WA IS ON A PRU BOUNDARY, THE AMOUNT
          OF DATA REQUESTED IS AN INTEGRAL NUMBER OF PRUS AND .GE.
          205 PRUS. 
          GET$WA WAS PROCESSING A 24 BIT FIELD AS AN 18 BIT FIELD 
          (X0, THE RIGHTMOST FIELD).
          GAG    07/27/79    GETDWA 
  
 *L518*    ************************************************ 
 BAM*80   BAM PL
          UPDATE COPYRIGHT INFORMATION TO REFLECT 1980
          KLS    79/10/15    LISTDRM
  
 SW1A430  (BAM PL)
          A PARAMETER EQUAL TO 2**59 WAS IGNORED BY THE FORTRAN 
          INTERFACE ROUTINES. 
          JRL  09/10/79  FTNIF
  
 SW1A435  (BAM PL)
          READ REVERSE ON AN I/W FILE RESIDING ON AN S TAPE GIVES 
          RM ERROR 130
          JRL  10/17/79  SKBLDSQ
  
 SW1A440  (BAM PL)
          ALLOWS SETFIT ON A CLOSED FILE. 
          JRL  11/02/79  OPENDRM
  
 SW1A441  (BAM PL)
          CHANGE ERROR 445 FOR AM20040. 
          RJC    11/5/79     RMDMSGS
 SW10170  BAM PL
          CORRECT A TIMING PROBLEM IN GET$SQ WHICH COULD CAUSE
          THE LOSS OF END OF FILE ON AN S TAPE. 
          KLS    79/08/16    GET$SQ 
  
 SW10176  (BAM PL)
           BAM NUMBERING OF THE I BLOCKS IS NOT COMPATIBLE WITH 
           THE 7600 IMPLEMENTATION
           JRL  08/31/79  /RSPTDSQ/,CLSFDRM,CLSVDSQ,WEOXDSQ 
  
 SW10186  (BAM 1.5 PL)
          OPEN CONNECT IN BATCH ENVIRONMENT DOESNT CONNECT. 
          HOWEVER, CLOSE DISCONNECT MAY LATER BE ISSUED.  IF
          SO, DO NOT ATTEMPT THE DISCONNECT SINCE THE FILE IS NOT 
          CONNECTED.
          GAG    09/17/79    CLSFDRM
  
 SW10188  (BAM PL)
          INCORRECT TEST (WA.LE.EOIWA). EQUAL CASE NOT DETECTED.
          JRL  09,19/79  COMDWA 
  
 *L528*    ************************************************ 
 SW1A244  ( BAM PL )
          CHANGE IDENT AND ENTRY POINT NAMES IN FTNIF, SO AS TO REDUCE
          NAMING CONFLICT WITH THE USER.
          GAG    03/17/80    FTNIF
  
 SW1A425  (BAM PL)
          PATCH THE FORTRAN INTERFACE SO THAT IT CAN ACCOMMODATE THE
          FTN5 TYPE PARAMETER LISTS.
          GAG    11/01/79    FTNIF
  
 SW1A442  (BAM PL)
          CORRECT BAM IMS SO THAT JOVEC WILL NOT LIST CODE. 
          GAG    11/05/79    PUTDSQ 
  
 SW1A443  (BAM PL)
          FIX FCL$RM SO AS TO MAKE IT MORE FAULT TOLERANT.
          LDL$RM SHOULD NOT GO OUT TO LUNCH IF PASSED A ZERO LENGTH 
          INTERFACE TABLE.
          GAG    11/05/79    FTNIF
  
 SW1A444  (BAM PL)
          FCL$RM SHOULD NOT SIMPLY MODE OUT IF IT CAN NOT FIND THE
          ENTRY POINT PASSED IN THE LINKAGE TABLE IN ANY OF THE BAM 
          PASSLOC TABLES.  AN APPROPRIATE MESSAGE SHOULD FIRST GO OUT 
          TO THE DAYFILE. 
          GAG    11/02/79    FTNIF
  
 SW1A445  (BAM PL)
          ENSURE THAT ON NOS/BE EACH Z RECORD IS WRITTEN
          IMMEDIATELY 
          JRL  11/20/79  GPTMDSQ,/TPUTDSQ/
  
 SW1A446  (BAM PL)
          BFS SHOULD BE ABLE TO BE SPECIFIED LESS THAN MBL FOR NON-S/L
          DEVICES...PERMITTING FILE CARD SPECIFICATION OF BFS LESS THAN 
          THE FTN DEFAULT WITHOUT CONSIDERATION FOR MBL.
          GAG    11/21/79    OPENDRM
  
 SW1A447  (BAM PL)
          FIX TERMINAL I/O CAPSULE TO WRITE A BLANK RT=Z RECORD AS
          ONE BLANK AND 54 BITS OF 0 INSTEAD OF A WORD OF BLANKS
          FOLLOWED BY A WORD OF ZEROS.
          TWJ  11/16/79  GPTMDSQ
  
 SW1A449  (BAM PL)
          DEFINES A NEW ERROR FLAG FOR CDCS 
                 BFF: FATAL ERROR RESULTING FROM A BAD FILE 
          JRL  11/19/79  IOTEXT,TXTCRM
  
 SW1A450  (BAM PL)
          DEFINES A NEW PASSLOC TABLE TO ALLOW ADDITIONAL ENTRIES 
          WITHOUT CREATING BINARY INCOMPATIBILITIES.
                    AAM$BL = MAX BUFFER LENGTH ASSIGNED TO AAM
                    RM$LVL = CONTROLLER/BINARIES LEVEL
          JRL  02/10/80  CTRLDAA,CTLDRM 
  
 SW1A454  (BAM PL)
          WITH THIS FIX, THE FORTRAN INTERFACE SHOULD NOW PERMIT
          LFN, XN, AND MFN TO BE SUPPLIED BY THE USER, BLANK-FILLED.
          GAG    12/10/79    FTNIF
  
 SW1A455  BAM PL
          FLUSHM COULD NOT BE CALLED FROM COBOL OR FTN TO FLUSH A 
          SINGLE FILE AS DOCOMENTED.  FLUSHM MUST WORK AS IS FOR
          CDCS, SO A NEW ENTRY POINT IS CREATED FOR COBOL AND FTN.
          THE ENTRY FLUSH1 CAN BE CALLED WITH THE ADDRESS OF THE
          FIT AS THE PARAMETER. 
          TWJ       12/11/79       FTNIF
  
 SW1A456  BAM PL
          IFETCH COULD NOT BE CALLED FROM COBOL BECAUSE IT IS A FUNCTION
          AND NOT A SUBROUTINE.  THIS CODE ENABLES IT TO BE CALLED AS 
          EITHER,A FUNCTION OR AS ASUBROUTINE IF AN OPTIONAL 3RD
          PARAMETER IS GIVEN
          TWJ       12/11/79       FTNIF
  
 SW1A457  BAM PL
          CRM INTERFACE ROUTINES THAT HAVE ONLY ONE CALL SHOULD NOT 
          CALL RM$ILD TO PROCESS PARAMETERS 
          TWJ    12/14/79    FTNIF
  
 SW1A463  (BAM PL)
          BACKSPACE WITH A SKIP COUNT EQUAL TO ZERO SHOULD FLUSH AN 
          OUTPUT FILE. THE PROBLEM WAS SHOWING UP ON 819. 
          JRL  01/29/80  SKBLDSQ
  
          FIX CONNECTED IO TO USE RL FOR MRL IF SBF=YES 
          TWJ       01/18/80       GPTMDSQ,/TGETDSQ/,/TPUTDSQ/
  
 SW1A468  (BAM PL)
          PW PARAMETER FOR CRMEP NOT IMPLEMENTED.  CODE FOR SW1A468 
          IMPLEMENTS THE PW PARAMETER SUCH THAT THE USER MAY SPECIFY
          A PAGE WIDTH BETWEEN 40 AND 160 CHARACTERS LONG.  IF THE
          PW PARAMETER IS NOT SPECIFIED, THE LINE LENGTH IS 
          DETERMINED BY THE STATUS OF THE OUTPUT FILE.  IF THE OUTPUT 
          FILE IS CONNECTED THE LINE LENGTH IS 72, IF NOT CONNECTED 
          THE LINE LENGTH IS 132. 
          RRM    01/18/80    CRMEP
 SW1A472  ( BAM PL )
          FORTRAN INTERFACE WILL NOW PROCESS FIT FIELD IDENTIFIERS
          UP TO 5 CHARACTERS LONG (E.G. NOFCP). 
          GAG    03/11/80    FTNIF
  
 SW1A473  ( BAM PL )
          FIX FTNIF TO ACCEPT CPA AS EITHER AN ADDRESS OR A INTEGER 
          VALUE.
          SYSTEM CPA ORDINALS ARE 1 THROUGH 77B.
          GAG    03/07/80    FTNIF
  
SW1A477   (APPLIES TO BAM PL) 
          WHEN CDCS USES THE TAF INTERFACE CODE PROBLEMS OCCUR. 
          THIS IS BECAUSE OF DIFFERENCES IN REQUESTS WITH RECALL
          BETWEEN NOS AND NOS/BE.  TO SOLVE THE PROBLEM BAM MUST
          NOT PERFORM THE INTERRUPT ON A TIM REQUEST. 
          GBK       02/27/80       RMDTSYS
  
 SW1A479  (BAM PL)
          THIS CODE SOLVES AN INCOMPATIBILITY BETWEEN NEW BAM 
          CAPSULES AND PREVIOUS FCL BINARIES INTRODUCED BY PSR CODE 
          SW1A351 
          JRL  02/28/80  PUTDSQ 
  
 SW1A481  ( BAM PL )
          FITDMP FAILURE BECAUSE OF FTN5 TYPE APLISTS REQUIRES PARAMETER
          LIST REFORMAT ... MUST CALL PLST$RM.
          NO PRESENT BAM CALL PARAMETER LIST ELEMENT EXCEEDS 10 
          CHARACTERS, HOWEVER THE USER MAY IN ERROR EXCEED SUCH ON
          THE FITDMP CALL.  IF SO, MERELY TRUNCATE TO 10 CHARACTERS.
          GAG    03/13/80    FTNIF
  
 SW1A482  ( BAM PL )
          THE STLD.RM MACRO DOES NOT POST EXTERNALS IF ( USERT = S ). 
          GAG    03/03/80    /CRMCOM/,IOTEXT
  
 SW1A483  (BAM PL)
          CDCS SUPPORT CODE ALLOWING THE OPEN$AA CAPSULE TO BE LOCKED 
          IN CORE 
          JRL  03/14/80  CTLDRM,CTRLDAA 
  
 SW1A502  (BAM PL)
          AN EXCESS DATA COMBINED WITH AN EMPTY BUFFER WAS GIVING SOME
          GARBAGE AT END OF Z RECORDS.
          JRL  06/26/80  GETDZ
  
 SW10132  (BAM PL)
          GETP IS ABLE TO READ ANY NUMBER OF CHARACTERS SPECIFIED 
          BY USER ON ZERO-BYTE RECORDS. 
          BOTH GET AND GETP ARE CORRECTED TO RETURN THE EXACT 
          RECORD LENGTH.
          THIS CODE REQUIRES FL5A327 AND SW1A450 TO WORK EFFECTIVELY. 
          MS        02/26/80       GETDZ,/GETDZ/
 SW1A506  (BAM PL)
          RECOVERY FROM AN EXCESS DATA CONDITION WAS RESULTING IN WRONG 
          RM DIAGNOSTIC (RM 141 INSTEAD OF RM 142). 
          JRL  06/27/80  GETDZ,/GETDZ/
  
 SW1A509  (BAM PL)
          REGISTERS B2 AND B4 WERE INCORRECTLY RESTORED.
          JRL  07/09/80  RMDTSYS
  
 SW10042  (BAM PL)
          PROBLEM - REPLACE OF RECORD THAT ENDS AT EXACT PRU BOUNDARY 
          CAUSES A 143 ERROR
          FIX - USE IN - OUT FOR NUMBER OF AVAILABLE WORDS INSTEAD
          OF ASSUMING THAT PRU IS 100B LONG 
          TWJ       11/07/79       REPLDSQ
  
 SW10168  CLEAR BUFFER WHEN BOUNDARY HIT SO BL WILL NOT BE
          SET NEGATIVE
          TWJ    79/11/26    SKBLDSQ
  
 SW10196  (BAM PL)
          AS A PRECAUTIONARY MEASURE, TEST TO ENSURE THAT OUT WILL NOT
          BE STORED AS LIMIT.  IT OUT IS EQUAL TO LIMIT, CHANGE OUT TO
          FIRST.
          GAG    11/15/79    GETDSQ 
  
 SW10207  BAM PL
          REMOVE 18 BIT ARITHMETIC ON BL FIELD FROM REPODSQ 
          TWJ       01/28/80       SKBLDSQ,/REPODSQ/
  
 SW10210  (BAM PL)
          IF A LARGER BUFFER IS REQUESTED THROUGH A FILE CARD 
          THE CURRENT BUFFER ,IF ANY , SHOULD BE DISCARDED AT 
          OPEN TIME.
          JRL  12/14/79  OPENDRM
  
SW10218   (APPLIES TO BAM PL) 
          SAVE MBL CHARACTERS IN OPEN$RM BEFORE CHWR$RM CALL FOR
          MLRS COMPUTATION.  BUG SYMPTOM IS CP TIME LIMIT IN PUT$S
          LOOP WITH BUFFER TOO SMALL. 
          GBK       12/28/79       OPENDRM
  
 SW10224  (BAM PL)
          SEARCH FOR S OR L TAPE CONTROL WORD DURING A BACKSPACE
          FAILS AS OUT POINTER GETS OUT OF STEP 
          JRL  02/28/80  SKSBDSQ
  
 SW10225  ( BAM PL )
          A FORTRAN UNFORMATTED READ ISSUES GETP.  WHEN RT = R, 
          AN UNDOCUMENTED RM ERROR 123 OCCURS.  PARTIALS ARE NOT
          SUPPORTED FOR SEQUENTIAL FILES WITH R RECORDS.  THE USER
          SHOULD USE FORMATTED READ, WHICH ISSUES GET, INSTEAD. 
          GAG    03/06/80    RMDMSGS
  
 SW10233  ( BAM PL) 
          L TAPE SHOULD DEFAULT MBL TO BFS-2. 
          REMOVE POTENTIAL BAD MLRS SET.
          GAG    05/09/80    OPENDRM
  
 SW10234  (BAM PL)
          CHEK$SQ WAS RETURNING RL IMPROPERLY FOR A CONNECTED FILE. 
          JRL  04/08/80  CHEKDSQ,/CHEKDSQ/
  
 *L538*    ************************************************ 
 BAM*81   BAM PL
          UPDATE COPYRIGHT INFORMATION TO REFLECT 1981
          CKA    80/09/10    LISTDRM
  
 SW1A508  ( BAM PL )
          BAM SHOULD PUT OUT A RM 321 ERROR IF WSA OR KA NOT WORD 
          ALIGNED.  OTHERWISE, WSA AND KA SHOULD WORK EVEN IF GIVEN 
          AS A CHARACTER ARRAY. 
          GAG    07/10/80    FTNIF,RMDMSGS
  
 SW1A515  (BAM PL)
          #NEW# PARAMETER NOT RECOGNIZED IN A FORTRAN5 CALL TO THE
          RECORD MANAGER INTERFACE. 
          JRL  07/16/80  FTNIF
  
 SW1A514  ( BAM PL )
          THE DATA FOLLOWING THE "AT OR AFTER" ERROR MESSAGE GENERATED
          BY THE FILE CONTROL CARD CRACKER WAS ERRONEOUSLY MASKED 
          OUT BY SW10187. 
          THIS CORRECTIVE CODE RESTORES, THEN CORRECTS THE ERROR. 
          GAG    09/16/80    FILE 
  
 SW1A517  (BAM PL)
          FIXES RT=F SO THAT EOI EXIT IS NOT TAKEN IF RL NE 0 
          TWJ  07/28/80  GETDS
  
 SW1A521  (BAM PL)
          FIXES A VARIETY OF PROBLEMS ENCOUNTERED DOING GETP AND
          GETP SKIP ON Z RECORDS
                   WORD FOLLOWING THE WSA CLOBBERED 
                   END OF FILE NOT DETECTED 
                   INCORRECT DATA TRANSFERED. 
          JRL  08/14/80  GETDZ
  
 SW1A530  (BAM PL)
          B8F KEYWORD NOT DEFINED IN FILE MACRO OR FILE CARD. 
          JRL  10/15/80  /CRMCOM/,IOTEXT,/CMNTEXT/,/KWMG/,SYSTEXT,FILE
  
 SW1A535  (BAM PL)
          OPEN.RM WAS PROCESSING ONLY 62 FILE CARDS.
          JRL  10/15/80  OPENDRM
  
 SW1A536  (BAM PL)
          FIX BAM SO THAT IT WILL DYNAMICALLY RECOGNIZE 
          IF IT IS A CMU MACHINE OR NOT 
          CHANGE INSTALLATION PROCEEDURE FOR CHOOSING  CMU/NOCMU MOVE 
          UPDATE SYSTEM COMMUNICATION SYMBOL DEFINITIONS
          TWJ       10/01/80       /MOVEDRM/,CTLDRM,/CMNTXT/,TXTCRM,IOTEXT
  
 SW1A523  (BAM PL)
          CHK AND CRT OPTIONS OF THE LCR FIELD ARE NOT DEFINED
          IN STOREF.
          JRL  08/21/80  FTNIF
  
 SW1A544  (BAM PL)
          CLOSE WITH REWIND OPTION WAS LEAVING FP SET TO EOP INSTEAD OF BOI.
          JRL  11/14/80  CLSFDRM
  
 SW10228  (BAM PL)
          PUT PARTIAL ON RT=S WITH PTL NOT A MULTIPLE OF 10 WRITES
          DATA INCORRECTLY. 
          JRL  07/15/80  PUTDS,/PUTDS/
  
 SW10230  ( BAM PL )
          IF ULP IS SET BUT NO LX IS GIVEN, OPEN LOOPS ENDLESSLY. 
          GAG    05/16/80    OPENDRM
  
 SW10231  ( BAM PL )
          STUFF RM$TMP WITH LABL$RM CAPSULE NAME ON CLOSEL CALL.
          GAG       05/09/80       LABLDRM,OPENDRM
  
 SW10238  (BAM PL)
          FIXES AN RM ERROR 354 ISSUED BY CRM WHEN THE BUFFER 
          REQUESTED BY THE USER WAS NOT YET ALLOCATED (NOS/BE ONLY).
          JRL  07/03/80  GPTMDSQ
  
 SW10239  (BAM PL)
          WRONG FET ADDRESS CAN RESULT IN JOB HUNG IN AUTO-RECALL 
          JRL  07/30/80  GETDEK 
  
 SW10241  (BAM PL)
          CLOSE CAN IN SOME CASES ABORT TRYING TO CALL AAM$GO BEFORE
          THE PASSLOC TABLE LIST HAS BEEN UPDATED FOR AAM ACCESS. 
          JRL  08/07/80  CTLDRM,CTRLDAA 
  
 SW10248  (BAM PL)
          ON S TAPE THE LAST WORD OF A BLOCK MAY BE DESTROYED WHEN
          PADDING IS INSERTED.
          JRL  09/12/80  PUTDEK,/PUTDEK/
  
 SW10249  (BAM PL)
          FIXES A POSSIBLE BUFFER ARGUMENT ERROR ON ZZZZZEG IN EF$CRM 
          JRL  08/07/80  EFDCRM 
  
 SW10252  (BAM PL)
          PUTP ON RT=S FILE DOES NOT ALWAYS WORK. 
          JRL  09/12/80  PUTDS
  
 SW10258  ( BAM PL )
          DISTC USAGE CAUSES MODE 1 BECAUSE RETURN STACK WRAP AROUND. 
          THIS CODE PROTECTS AGAINST THE POSSIBILITY OF WRAP AROUND.
          A MASK IS USED TO PREPARE CONTENTS OF A0+7 FOR B6 SAVE. 
          GAG    07/15/80    /TXTCRM/ 
  
 SW10260  (BAM PL)
          A GET PARTIAL FOLLOWED BY A SKIP TO EOR ON RT=S WAS 
          POSITIONNING INCORRECTLY. 
          JRL  07/15/80  GETDS,/GETDS/,SKSFDSQ
  
 SW10262  (BAM PL)
          PRESERVE RM$SYS= ENTRY ACROSS CALLS TO REWIND IN ORDER
          TO ALLOW A CORRECT CHECKING OF THE XJ HARDWARE BY OPEN
          JRL  07/22/80  REWDSQ 
  
 SW10265  (BAM PL)
          PUT PARTIALS ON TTY WITH PTL NOT EQUAL TO A MULTIPLE OF 10
          WRITE THE DATA INCORRECTLY
          JRL  07/15/80  GPTMDSQ
  
 SW10268  (BAM PL)
          SKIP NON-CRM FETS DURING THE DELINKING PROCESS
          JRL  07/21/80  FTNIF
  
 SW10271  ( BAM PL )
          FOR BT=K/E, DEFAULT MNR TO MRL FOR RT=F.  OTHERWISE, CONFLICTS
          MAY ARISE WITH PADDING.  DEFAULT PROCESSING SHOULD THROW
          AWAY PADDING AT THE END OF THE BLOCK.  IF THE USER WISHES TO
          GET PARTIAL RECORDS, HE SHOULD SET MNR TO 1.
          GAG    09/12/80    GAG
  
 SW10273  (BAM PL)
          ON CYBER MACHINES WITHOUT LCM (I.E. OTHER THAN CYBER 176) 
          THE WSA FIELD IN THE FILE MACRO HAS BEEN RESTRICTED TO 18 
          BITS IN ORDER TO ALLOW THE USE OF THE FILE MACRO IN A 
          CAPSULE AND SEE THE WSA ADDRESS BEING PROPERLY LINKED.
          THE KA AND LA FIELDS ARE ALSO REDUCED TO 18 BITS IN ALL CASES 
          JRL  08/22/80  IOTEXT,/CRMCOM/,SYSTEXT(NOS/BE ONLY) 
  
 SW10276  (BAM PL)
          LFN, MFN AND XN ARE NOT PROPERLY MASKED OUT IN THE
          STORE MACRO.
          JRL  08/28/80  IOTEXT,/CRMCOM/
  
 SW10277  (BAM PL)
          WHEN USING IOTEXT RA.CMU WAS NOT DEFINED (CMU FLAG ). 
          JRL  09/09/80  IOTEXT,/CMNTXT/
  
 SW10282  (BAM PL)
          SYMPL INTERFACE TO CRM ERROR PROCESSOR DESTROYS THE 
          REGISTER A0 USED BY FTN5 .
          JRL  09/24/80  ERDSRM 
  
 SW10290  (BAM PL)
          IF A CIO CALL DOES NOT COMPLETE (E.G. NO SPACE) IT IS POSSIBLE
          FOR PUT$S TO WRITE INCORRECTLY 1 OR 2 RECORDS BY CONCATENATING
          PARTS OF THE 2 RECORDS. 
          JRL  10/15/80  PUTDS,/PUTDS/
  
 *L552*    ************************************************ 
 F8150SW  (BAM PL)
          INTRODUCES FFCP FLAG THAT FORCES FILE CARD PROCESSING AT OPEN 
          TIME REGARDLESS OF THE STATUS OF THE OTHER FLAGS (OC, NOFCP, PDF).
          JRL  03/04/81  IOTEXT,SYSTEXT,TXTCRM,OPENDRM
  
 SW1A551  (BAM PL)
          BLANKS AT THE BEGINNING OF THE CRMEP CONTROL CARD 
          WERE NOT ACCEPTED.
          JRL  12/12/80  CRMEP
  
 SW1A552  (BAM PL)
          PUT ON A I/W FILE WITH A SMALL BUFFER (1 OR 2 PRUS) 
          SOMETIMES GOES INTO AN INFINITE LOOP. 
          JRL  01/23/81  PUTDSQ 
  
 SW1A554  RT=Z RECORD WITH A 66 BIT TERMINATOR MAY BE INCORRECTLY 
          PROCESSED WHEN THE LCM CODE IS TURNED ON. 
          JRL  02/25/81  GETDZ
  
 SW1A565  (BAM PL)
          LIST OF FILES INCOMPLETE FOR MULTI FIT FILES USED BY CDCS.
          JRL  03/04/81  OPENDRM
  
 SW1A567  (BAM PL)
          BLANK PADDING FOR AN ASCII FILE WAS INCORRECT DUE TO THE A4 
          REGISTER CHANGED BY SW10265 CODE. 
          TWJ  04/14/81  /TPUTDSQ/,GPTMDSQ
  
 SW1A568  (BAM PL)
          IF SBF FLAG IS ON , USE WSA ON NOS/BE INSTEAD OF DEFAULT
          BUFFER. 
          JRL  07/03/80  GPTMDSQ
  
 SW10158  (BAM PL)
          RESET EOIWA FOR AN EXISTING FILE OPENED FOR 
          OUTPUT ONLY.
          JRL  04/06/81  OPENDRM
  
 SW10281  (BAM PL)
          FATAL ERRORS WHILE CLOSING A TAPE VOLUME ARE NOT DETECTED 
          AND MAY RESULT IN CURRENT REEL BEING OVERWRITTEN. 
          JRL  10/24/80  CLSVDSQ
  
 SW10292  (BAM PL)
          CHECK AFTER A WRITE ON A CONNECTED FILE DOES NOT CHECK I/O
          COMPLETE ON THE PROPER FET
          JRL  10/24/80  CHEKDSQ,/CHEKDSQ/
  
 SW10293  (BAM PL)
          KEEP I/O ACTIVE FLAG (KIA) IS ADJUSTED IN ORDER TO PREVENT
          UNNECESSARY CIO CALLS WHEN THE BUFFER IS SMALL. 
          JRL  11/07/80  PUTDSQ,/PUTDSQ/
  
 SW10294  (BAM PL)
          READ AHEAD SCHEME BASED ON 3/4 EMPTY BUFFER MAY LEAD TO 
          UNNECESSATY CIO CALLS FOR A SMALL BUFFER. 
          BAM WILL NOW CHECK THAT THERE IS ROOM FOR AT LEAST ONE MORE 
          PRU IN THE BUFFER.
          JRL  11/07/80  GETDSQ,/GETDSQ/
  
 SW10295  (BAM PL)
          WRITE AFTER READ ON S OR L TAPE WAS SOMETIMES FAILING WITH
          AN RM ERROR 721 IF AT EOI.
          JRL  11/18/80  PUTDS,/PUTDS/
  
 SW10296  (BAM PL)
          SUCCESSIVE OPENS ON A WA FILE WITH THE SBF OPTION ON RESULT 
          IN RM ERROR 354.
          JRL  11/20/80  OPENDRM
  
 SW10297  (BAM PL)
          EX WAS NOT TAKEN AFTER AN ERROR DETECTION IN OPEN$RM IF 
          SBF WAS ON. 
          JRL  11/20/80  DFDCRM 
  
 SW10306  (BAM PL)
          TURNS OFF TEMPORARILY THE UP BIT IN ORDER TO LET THE O.S. 
          PROCESS THE TRACK LIMIT CONDITION.
          JRL  01/16/81  PUTDSQ,/PUTDSQ/
  
 SW10307  (BAM PL)
          CORRECTIVE CODE SW10188 RESULTED IN ADDITIONAL CIO
          CALLS WITHOUT PROVEN BENEFITS.
          JRL  04/06/81  COMMDWA
  
 SW10314  (BAM PL)
          RESET WA TO 1 AFTER A REWIND ON A WORD ADDRESSABLE FILE.
          JRL  01/28/81  /REWDWA/,COMMDWA 
  
 SW10320  (BAM PL)
          LAST 00B NOT BLANKED WHEN A 66 BIT TERMINATOR IS SPLIT
          BETWEEN LIMIT AND FIRST.
          JRL  02/18/81  GETDZ,/GETDZ/
  
 SW10322  (BAM PL)
          GET Z RECORD FROM CONNECTED FILE ROUNDS UP RL TO MULTIPLE 
          OF 10 CHARACTERS. 
          JRL  04/01/81  GPTMDSQ,/TGETDSQ/
  
 SW10324  (BAM PL)
          EXCESS DATA DURING PUTP'S ON AN S TAPE (RT = S) NOT PROPERLY
          DETECTED. 
          JRL  03/26/81  PUTDS
  
 SW10327  (BAM PL)
          AFTER A CRM CALL WITH SUPPRESS BUFFER THE BUFFER POINTERS 
          MUST BE RESET IN ORDER TO AVOID A POSSIBLE MODE ERROR.
          JRL  04/10/81  REWDSQ,WEOXDSQ 
  
 SW10329  (BAM PL)
          BLANK LINE SHOULD HAVE AN RL = 1 .
          JRL  04/09/81  GETDZ,/GETDZ/
  
 SW10332  (BAM PL)
          BUFFER POINTER OUT NOT CORRECTLY UPDATED WHEN PERFORMING
          A SKIPF 
          JRL  04/21/81  GETDR,/GETDR/
  
 SW10338  (BAM PL)
          PTL INCORRECT AND WSA NOT PROPERLY BLANK-PADDED FOR RT=Z. 
          JRL  05/05/81  GETDZ
  
 *L564*    ************************************************ 
 BAM*82   BAM PL
          UPDATE COPYRIGHT INFORMATION TO REFLECT 1982. 
          KLS    81/09/08    LISTDRM
  
 SW1A534  (BAM PL)
          WRITE PARITY ERROR INCORRECTLY DETECTED.
         JRL  05/14/81  PUTDSQ,/PUTDSQ/,PUTDS,/PUTDS/ 
  
 SW1A550  (BAM PL)
          REL FIELD SHOULD BE DEFINED IN FILE MACRO AND FILE STATEMENT
          JRL  03/17/81  IOTEXT,/CRMCOM/,TXTCRM,FILE
  
 SW1A571  (BAM PL)
          EXTENDS NOS/BE ONLY CODE SW10238 TO NOS IN ORDER TO ALLOCATE
          A BUFFER OF THE SIZE BFS WITHOUT ABORTING IF IT CANNOT BE ALLOCATED.
          JRL  06/04/81  GPTMDSQ
  
 SW1A573  (BAM PL)
          BUFFER-IN WITH RECORD TYPE SET TO Z DOES NOT ALWAYS BLANK 
          PAD THE LAST WORD OF WSA. 
          JRL  06/18/81  GETDZ
  
 SW1A576  (BAM PL)
          GETP ON RT = S DOES NOT ALWAYS START ON WORD BOUNDARY 
          WHEN TRANSFERING DATA TO THE WSA. 
          JRL  08/23/81  GETDS
  
 SW1A577  (BAM PL)
          REWIND SHOULD RESET BLOCK COUNT TO ZERO FOR I/W FILES.
          JRL  08/11/81  REWDSQ 
  
 SW1A578  (BAM PL)
          PREVENTS AN RM ERROR 142 WHEN DOING AN END-FILE ON A RT=W 
          FILE WITH MRL<10. 
          JRL  08/19/81  WOEXDSQ
  
 SW1A583  (BAM PL)
          18 BIT ARITHMETIC ON A 24 BIT FIELD.
          JRL  09/22/81  SKBLDSQ
  
 SW1A589  (BAM PL)
          CHANGE ORG DEFAULT TO NEW IN THE FILE MACRO.
          JRL  10/01/81  IOTEXT,SYSTEXT 
  
 RECOVR   BAMPL 
 ********** THIS MOD WILL NOT BE COMPLETELY EFFECTIVE IF
            AM20058, A PSR MOD TO AAM2PL, HAS NOT ALSO BEEN 
            INSTALLED.
  
          THE MODULE CALLED ((RECOVR)), WITH ENTRY POINTS ((RECOVR)) AND
          ((SETUP.)) IS BEING MOVED FROM THE OPERATING SYSTEM OLDPL TO
          THE CRM-BAM OLDPL, THOUGH IT WILL REMAIN IN THE SAME LIBRARY
          AT EXECUTION TIME. THIS IS THE CODE THAT INSERTS IT IN THE
          CRM-BAM OLDPL, NOT THE CODE THAT DELETES IT FROM WHERE IT 
          WAS HITHERTO. 
  
          THIS CODE ALSO CONSTITUTES A NEW VERSION OF THE MODULE, 
          INTENDED TO BE UPWARD-COMPATIBLE WITH THE OLD, BUT HAVING 
          SOME IMPROVEMENTS-- 
          (1) CHECKSUMMING OF A USER REPRIEVE ROUTINE NEED NOT BEGIN
          AT THE WORD AFTER THE ENTRY POINT.
          (2) THE STACK CAN ACCOMMODATE 10 USER REPRIEVE ROUTINES 
          RATHER THAN 5.
          (3) MORE INFORMATION IS MADE AVAILABLE TO THE USER REPRIEVE 
          ROUTINE, FOLLOWING THE EXCHANGE PACKAGE.
          (4) THE USER REPRIEVE ROUTINE CAN ASK FOR A ((RESUME))
          WHICH WILL LEAD THE PROGRAM BACK INTO NORMAL EXECUTION. 
  
          FOR DETAILS, SEE THE COMMENTS AT THE BEGINNING OF THE 
          NEW VERSION.
          AFRB   10/21/81 
  
 SW1A598  DEFINES FLAG NOFF PREVENTING THE FSTT FROM BEING
          FLUSHED IN ORDER TO IMPROVE TAF/AAM PERFORMANCE.
          JRL  12/23/81  IOTEXT,TXTCRM,/KWMG/ 
  
 SW10354  (BAM PL)
          ILLEGAL FILE NAME NOT DIAGNOSED IMMEDIATELY IF REWIND IS
          THE FIRST OPERATION ON THE FILE.
          JRL  07/24/81  REWDSQ,CTLDRM
  
 SW1A601  ( BAM PL )
          CDCS REQUIRES A PASSLOC ENTRY TO CALL CMMX$AA.  AS A RESULT 
          OF PSR AM2A263, A NEW PROCEDURE WAS PROVIDED THAT CDCS
          COULD CALL WHEN A CMM OVERFLOW HAS CAUSED CDCS TO ABANDON 
          A CRM REQUEST.  THIS NEW PROCEDURE MUST HAVE A PASSLOC ENTRY
          IN CTLDRM.
          GAG    01-07-82    CTLDRM 
  
 SW1A604  ( BAM PL )
          BAM NEEDS SETFS CALL FOR NOS R6.0 NO DROP (NAD) FEATURE 
          FOR ZZZZZDG AND ZZZZZEG FILES.
          GAG    01/25/82    /TXTCRM/,OPENDRM,EFDCRM,FILE,CTLDRM
  
 SW1A605  ( BAM PL )
          THE FILE$AA ROUTINES SHOULD DEFAULT ORG TO NEW. 
          GAG     01/26/82    FTNIF 
  
 SW1A609  ( BAM PL )
          SW10326 CAUSES BACKSPACE FAILURES.
          GAG    02/26/82   /B2R1DSQ/,/REPODSQ/,SKBLDSQ 
 SW10339   (BAM PL) 
          CRM SHOULD NOT CHECK BFS FOR A CONNECTED FILE.
          JRL  05/07/81  OPENDRM
  
 SW10342  (BAM PL)
          IF GETP USE PTL INSTEAD OF MRL TO COMPUTE THE LENGTH OF WSA 
          AND AVOID DESTROYING CORE WHEN PADDING WITH BLANKS A Z RECORD 
          READ FROM A TERMINAL. 
          JRL  06/04/81  GPTMDSQ
  
 SW10346  (BAM PL)
          LAST WORD INCORRECTLY PADDED AT END OF PUTP ON TERMINAL.
          JRL  07/10/81  GPTMDSQ
  
 SW10348  ( BAM 1.5 PSR ) 
          W-RECORD FLUSH MUST ROUND UP TO MULTIPLE NUMBER OF WORDS
          PRIOR TO END OF BLOCK PROCESSING. 
          GAG    06/18/81    /PUTDW/
 SW10353  (BAM PL)
          FIXES NON-STANDARD LABEL PROCESSING WHEN NEITHER GETL 
          NOR PUTL ARE CALLED BEFORE CLOSEL.
          TWJ/JRL  07/27/81  TXTCRM,/KWL/,PUTDS,/PUTDS/,LABLDRM 
  
 SW10356  (BAM PL)
          ALLOW PROCESSING OF Z RECORD IN ASCII MODE ON MASS STORAGE
          STRIPPING AND PADDING BLANKS IN ASCII REPRESENTATION. 
          RL HOWEVER IS STILL RETURNED IN NUMBER OF 6 BITS CHARACTERS.
          JRL  O8/O6/81  GETDZ,PUTDZ
  
 SW10361  (BAM PL)
          IN ORDER NOT TO IMPACT THE NOS USERS, BAM WILL ACCEPT ONE OR
          TWO BLANKS AT THE BEGINNING  OF THE LAST WORD OF THE Z RECORD.
          JRL  08/14/81  GETDZ
  
 SW10395  ( BAM PL )
          TERMINAL GET WAS RETURNING INCORRECT RL.  THIS RESULTED IN A
          MODE ERROR IN INPC=.  THE TRAILING ASCII BLANK COUNT WAS
          BEING MULTIPLIED BY FOUR INSTEAD OF TWO.
          GAG    02/24/82    /TGETDSQ/,GPTMDSQ
  
 *L577*    ************************************************ 
 RSE4123  ( BAM PL )  DAP S4123 
          ADD CC( CHARACTER CONVERSION ) AND IC( INTERNAL CODE )
          FIELDS TO FIT.  THESE ARE NOT PRESENTLY USED BY CRM.
          THEY MAY BE SET VIA FILE CONTROL STATEMENT AND
          ACCESSED VIA FETCH/IFETCH.
          DEFAULT VALUES ARE #NO# AND #D64# RESPECTIVELY. 
          GBK    02-19-82     /KWMG/,/CMNTXT/,FILE,FTNIF
  
 SW1A474  PUTWR FAILS TO WORK CORRECTLY FOR BT=K AND DEFAULT RB.
          OPEN$RM CHECKS FOR SBF=YES AND RB=1 BEFORE IT DEFAULTS
          RB TO 1.  IF RB=0 OPENM DOES NOT SET WSI, RESULTING IN
          FULL PUT PROCESSING INSTEAD OF THE SIMPLER PUTWR
          PROCESSING.  IT CAN ALSO RESULT IN RM ERROR 347 
          IN A STATIC ENVIRONMENT.
          GAG    04/27/82    OPENDRM
  
 SW1A575  CHANGE SKIPBL TO USE CURRENT CONTENTS OF BUFFER WHEN POSSIBLE 
          TO IMPROVE PERFORMANCE WITH SMALL RECORDS.
          A BOUNDARY CONDITION ERROR IN SKIPBL CAUSED 
          ERRONEOUS DATA EXITS ON THE FILE INPUT. 
          TWJ    03/03/82    SKBLDSQ,/B2R1DSQ/,/REPODSQ/
  
 SW1A590  ( BAM 1.5 PL )
          PKA CAN NOT PRESENTLY BE A FTN5 CHARACTER TYPE VARIABLE.
          MODIFY FTNIF SO THAT IT WORKS SIMILAR TO WSA AND KA.
          GAG    10/28/81    FTNIF
  
 SW1A560  ( BAM PL )
          THE FTN INTERFACE SHOULD ALLOW A WSA IN LCM.
          FWB, KA, PKA SHOULD BE DIAGNOSED AS A FATAL 557 
          ERROR IF THEY ARE GIVEN AS LCM ADDRESSES. 
          FWB WAS LOST WHEN SPECIFIED VIA FTN5 PARAMETER LIST.
          SINCE THE CRMEP MACRO IS BEING ISSUED IN THE
          FORTRAN INTERFACE, IT IS NECESSARY TO SET UP
          B6 AS THE RETURN ADDRESS.  THE B6 STACK IN THE
          FIT CAN NOT BE USED, BECAUSE PUT ALREADY USES 
          ALL THREE ENTRIES IN THE CIRCULAR STACK.
          GAG    02/18/82    FTNIF
  
 SW1A595  CRMPL 
          IF, ON A DCREATE RUN, BOTH THE INPUT AND OUTPUT FILES 
          ARE DA, AND BOTH HAVE ORG=NEW OR BOTH ORG=OLD, THE
          CAPSULE LOADING DOES NOT WORK PROPERLY AND THE JOB
          FAILS.
  
          THE CORRECTIVE CODE MOVES THE PASSLOC TABLE FROM
          DCREATE DOWN INTO CTRL$AA.
  
          ***** IT IS ESSENTIAL THAT WHEN THIS CODE IS
          ***** INSTALLED IN BAMLIB, PSR AM20113 IN 
          ***** AAMLIB SHOULD BE INSTALLED AT THE SAME TIME.
          AFRB   11/24/81    CTRLDAA
  
 SW1A596  ( BAM PL )
          FTNIF FILEIS ROUTINE LOOPS TO TIME LIMIT IF WSA IS BLANK
          FILLED.  THE BUG IS IN PLST$RM, WHICH HAS CODE IN IT TO REMOVE
          TRAILING BLANKS FROM FTN5 PARAMETERS.  SW1A508 CORRECTS FOR 
          WSA OR KA ON GET, PUT, ETC. MACRO CALLS BUT DOES NOT CORRECT
          FILEXX.   THE CORRECTIVE CODE WILL PREVENT AN INFINITE LOOP 
          DURING THE TRAILING BLANK REMOVAL.
          GAG    01-07-82    FTNIF
  
 SW1A597  PRIOR TO NOS V2, THE DEVICE TYPE FOR S, L, OR SI
          FILES WAS RETURNED IN A FASHION COMPATIBLE WITH NOS/BE. 
          WITH NOS V2, IT WAS DETERMINED THAT COMPATIBILITY WITH
          NOS/BE DEVICE TYPES WAS NOT IMPORTANT.
  
          DEVICE TYPE ON NOS V2 WILL ALWAYS BE RETURNED AS MT, 5524B, 
          OR NT, 5624B, WHEN TAPES ARE INVOLVED.
  
          THIS NECESSITATES MOVING THE FIT FIELD LBT SOMEWHERE ELSE.
          IT WILL BE MOVED TO THE 59TH POSITION OF FIT+8. 
          THE FIT FIELD ELT WILL BE PURGED SINCE IT IS NO LONGER USED.
  
          GAG    04/23/82    /KWML/,TXTCRM,OPENDRM
  
 SW1A606  ( BAM PL )
          THE THIRD PARAMETER ON THE IFETCH CALL IS NOT WORKING.
          THE RESULT OF THE IFETCH IS NOT BEING RETURNED TO THAT
          LOCATION. 
          GAG    03/10/82    FTNIF
  
 SW1A608  ( BAM PL )
             IF A FILE WAS CONNECTED, AFTER HAVING DISCONNECTED 
          "OUTPUT", DATA WRITTEN TO THAT CONNECTED FILE ENDED 
          UP ON THE RMS DEVICE RATHER THAN THE TTY. 
          THE PROBLEM WAS CORRECTED BY REMOVING THE CODE TO,
          SOMETIMES, WRITE TO "OUTPUT" FOR CONNECTED I/O. 
          NOW, TERMINAL I/O WILL ALWAYS READ AND WRITE TO 
          "ZZZZZOU".
             THERE IS ALSO ANOTHER PROBLEM.  A REGISTER 
          CONFLICT CAUSED TERMINAL PUT TO SOMETIMES WRITE 
          GARBAGE TO THE END OF RECORDS WHEN ATTEMPTING 
          TO BLANK-PAD.  X4 SHOULD HAVE CONTAINED THE MASK
          FOR A WORD OF BLANKS BUT DID NOT. 
          GAG    03/19/82    GPTMDSQ, /TPUTDSQ/ 
  
 SW1A611  ( BAM PL )
          ADD LOGIC TO DF$CRM TO REMOVE LFN FROM LIST OF FILES
          WHERE OPEN FAILS. 
          GBK       04-22-82       /DFDCRM/ 
  
 SW1A612  WITH SW1A575 INSTALLED, SKBLDSQ WOULD GET A 130 ERR 
          IF BACKSPACE WAS DONE AT A EOS BOUNDARY THAT WAS
          A ZERO LENGTH PRU AND BT=I AND RT=W.
          TWJ       03/24/82    SKBLDSQ 
  
 SW10381  THE TOTAL NUMBER OF UNIQUE PARAMETER NAMES AND
          LOCAL SYMBOLS MUST NOT EXCEED 63 FOR ANY ONE
          COMPASS MACRO DEFINITION.  PRESENTLY, AAM IS
          AT THAT LIMIT.  THEREFORE, NOFCP CANNOT BE
          SPECIFIED VIA THE FILE MACRO FOR AAM.  A STORE
          MACRO MUST BE USED TO SET NOFCP.
          HOWEVER, NOFCP CAN BE SPECIFIED VIA THE FILE
          MACRO FOR A SEQUENTIAL OR WORD ADDRESSABLE
          FILE, SINCE THAT MACRO IS NOT AT ITS PARAMETER
          DEFINITION LIMIT. 
          GAG    04/27/82    /CRMCOM/,IOTEXT
  
 SW10387  ( BAM PL )
          GET$WA DOES NOT PROTECT AGAINST A WORD COUNT GREATER THAN 
          131071 IN A W RECORD CONTROL WORD.  IF A GARBAGE WORD 
          WHICH HAPPENS TO HAVE ODD PARITY AND BIT 17 ON, IS READ 
          AS A W CONTROL WORD, THE SX3 X5 INSTRUCTION AT GETDWA.310 
          CAUSES SIGN EXTENSION, AND CONSEQUENTLY AN INFINITE LOOP. 
          THE CONDITION WILL BE DETECTED AS A RM ERROR 130. 
          GAG    01-15-82     GETDWA
  
 SW10407  OPEN$RM WILL NOT GET UNLOADED IF AN OPEN
          ERROR OCCURS.  THIS CODE WILL PUT OPEN$RM IN THE
          RM$TMP CELL PRIOR TO CALLING DF$CRM TO POST THE 
          DIAGNOSTIC. 
          GAG    04/07/82    OPENDRM
  
 SW10411  SKBLDSQ WAS SCANNING THE BUFFER FOR S-TAPE CONTROL
          WORDS WITHOUT CHECKING TO SEE IF IT PASSED LIMIT. THIS
          CODE CHANGES IT TO USE THE STANDARD BUFINC MACRO. 
          TWJ       06/21/82   SKBLDSQ,/REPODSQ/
  
 SW10419  ( BAM PL )
          FORCE CLSF$RM CAPSULE UNLOAD IF THE AAM CONTROLLER
          IS UNLOADED.
          GAG    06/28/82    CLSFDRM
  
 *L587*    ************************************************ 
 SW1A622  THE FORTRAN INTERFACE ROUTINE RPLC WILL FAIL FOR
          ( FO=SQ,BT=C,RT=W ) FILES IF ZERO RL IS SPECIFIED ON THE
          CALL BUT THE RL OF THE PREVIOUS GET OPERATION EXCEEDS 1000. 
          GAG    08/04/82    CTLDRM 
  
 SW1A623  BAM PL
          FIX REPODSQ TO SET PAE TO 1 IFF IT REPOSITIONS THE FILE.
          NOT IF BUFFER IS EMPTY AND ON PRU BOUNDARY - IT MAY BE
          BEFORE A ZERO LENGTH PRU. 
          TWJ       08/17/82    SKBLDSQ,/REPODSQ/,REPLDSQ 
  
 SW1A625  ORG SHOULD DEFAULT TO NEW FOR FILE CALL AND MACRO,
          DISREGARDING FO - SINCE A UTILITY MAY CALL FILE TO PRESET 
          THE FIT BEFORE ACTUALLY KNOWING WHAT THE FO WILL BE.
          GAG    09/29/82    FTNIF,/CRMCOM/,IOTEXT
  
 SW1A630  (BAMPL) 
          SAVE RETURN REGISTER IN DF$CRM BEFORE DELETING FILE NAME FROM 
          THE LIST OF FILES.  RESTORE THE REGISTER AFTER DELETING THE 
          FILE NAME FROM THE LIST OF FILES. 
          GBK    01/10/83    /DFDCRM/ 
  
 SW10429  ( BAM PL )
          THE ZZZZZOU ASSIGNMENT MESSAGE SHOULD BE SUPPRESSED.
          TO DO THIS, BIT 19 OF THE LFM REQUEST NEEDS TO BE SET.
          GAG    12/17/82    /TPUTDSQ/,GPTMDSQ
  
 *L601*    ************************************************ 
 SW1A637  EXTEND THE ENTRY CONDITIONS OF RECOVR SO THAT A NEGATIVE
          RECOVERY ROUTINE ADDRESS CAUSES *RECOVR* TO SIMPLY REISSUE
          THE *RPV* REQUEST WITH THE SAME MASK BITS AS IT CURRENTLY 
          THINKS ARE IN USE. THIS IS USED BY *QXPMD* TO MAKE *RPV*
          ACTIVE AGAIN UPON RETURN FROM THE POSTPROCESSOR.
          SIMILAR MODS ARE MADE TO THE COPIES OF RECOVR USED BY *CID* 
          IN PSR ID1A222. 
          DEPENDENCY=ID1A222
          RRR    83/06/15    RECOVR 
  
 SW10408  ADD CODE TO OPENDRM TO LIMIT THE BFS FOR FO=WA TO 
          13056 AND THUS LIMIT THE POSSIBLE MOVE SIZE TO LT 2**17.
          TWJ  06/23/83  OPENDRM
  
 SW10431  SW10016 WAS INSTALLED TO FIX AN INCOMPLETE
          FORTRAN BINARY READ.  THE FIX APPLIED WAS TO ENSURE THAT
          IN WAS SET TO OUT - I.E. AFTER SETTING OUT, IN WAS SET
          TO THAT EQUIVALENT VALUE.  HOWEVER,  IT IS APPARENT FROM
          AN ANALYSIS OF THE GET$S ROUTINE, THAT THE DESIGN DID NOT 
          ACCOUNT FOR MOVE$RM WIPING B2 (CALL AT /GETDS/.541).  AS
          A RESULT, OUT GETS SET TO 12B - A PROBLEM WHICH SW10016 
          COMPOUNDS BY SETTING IN TO OUT.  THE PROBLEM SHOULD BE
          FIXED BY FIRST FETCHING IN INTO B2, THEN SETTING OUT TO 
          THAT VALUE. 
          GAG    03/16/83    /GETDS/,GETDS
  
 SW10432  ON NOS/BE, IF A REPLACE IS ISSUED FOR A RECORD
          THAT ENDS ON A PRU BOUNDARY WHICH IS FOLLOWED 
          BY A ZERO-LENGTH PRU, BAM CURRUPTS THE FILE.
          BAM ATTEMPTS TO READ 1 PRU BUT NOS/BE LOOKS AHEAD 
          AND POSITIONS AFTER THE ZERO-LENGTH PRU INSTEAD OF
          BEFORE IT ( AS NOS DOES ).  THE CORRECTIVE CODE 
          DETECTS THIS CASE AND ISSUES ANOTHER BACKSPACE OF 
          1 PRU TO POSITION AFTER THE DATA PRU AND BEFORE 
          THE ZERO-LENGTH PRU.
          TWJ    03/25/83    /B2R1DSQ/,REPLDSQ,WARDSQ,SKBLDSQ 
  
 SW10434  IF THE COLLATION OR DECOLLATION TABLE IS STORED 
          IN A FTN5 CHARACTER VARIABLE, FILEIS DOES NOT 
          HANDLE IT CORRECTLY.  INSTEAD OF PUTTING THE
          ADDRESS OF THE TABLE IN THE FIT, IT USES THE
          FIRST WORD OF THE TABLE AS AN ADDRESS AND PUTS
          THAT IN THE FIT.
          GAG    03/11/83    FTNIF
  
 SW10439  CODE IN SW10296 TO FIX BAD 354 ERRORS FOR FO=WA 
          CAUSED FO=SQ TO NOT SET DEFAULT BFS IF SBF=YES BUT
          BT AND RT NOT APPROPRIATE. THIS CODE CORRECTS SW10296 
          TO BE FO=WA ONLY. 
          TWJ  06/08/83  OPENDRM
  
 SW10442  THE FTN INTERFACE NO LONGER STRIPS TRAILING BLANKS
          FROM LFN, WHEN RUNNING ON A SYSTEM WITH LCM OR UEM. 
          THE PROBLEM SHOWS UP AS A RM165 - ILLEGAL FILE NAME - 
          DURING OPEN.
          GAG    03/21/83    FTNIF
  
 SW10445  REMOVE REDUNDANT CODE IN GET$Z. 
          GAG    03/22/83    /GETDZ/
  
          PREVIOUSLY A CALL TO RECOVR WITH
          ALL THE MASK BITS SET WOULD RECOVER FROM A
          TERMINAL INTERRUPT.  HOWEVER, EXTENDED
          REPRIEVE SPECIAL CASES TERMINAL INTERRUPTS. 
          ON NOS/BE, FOR COMPATIBILITY AND SECURITY REASONS,
          AN EXTENDED REPRIEVE REQUEST WITH THE OPERATOR
          TERMINATION MASK BIT ( 010B ) SET SHOULD ALSO 
          ACTIVATE THE TERMINAL INTERRUPT MASK BIT ( 200B ).
          GAG    04/04/83    RECOVR 
  
 SW10447  THERE IS A POTENTIAL PROBLEM IN TERMINAL PUT THAT 
          MAY CAUSE GPTM$SQ TO LOOP TO TIME LIMIT.  THIS
          POTENTIAL PROBLEM WILL BE FIXED BY SETTING *IN* 
          TO B2 PRIOR TO CALLING THE SYSTEM TO WRITE. 
          GAG    04/07/83    GPTMDSQ,/TPUTDSQ/
  
 SW1A634  IMPLEMENT PAGE SIZE FEATURE FOR THE BAM UTILITY *CRMEP* 
          NOS 1.4 PSR LEVEL 552.
          GPN    82-04-16    CRMEP, CRMEPC
  
 SW10459  DEFINE A BIT IN THE FIT TO CONTROL ALLOCATING THE 
          BUFFER FOR INTERACTIVE FILES. IF FIB (FORCE INTERACTIVE BUFFER) 
          IS SET TO YES, BAM WILL ALLOCATE A BUFFER FOR THE INTERACTIVE 
          FILE IF BFS IS GREATER THAN THE CURRENT INTERACTIVE 
          BUFFER SIZE.  IF FIB IS SET TO NO, BAM WILL USE THE OLD 
          RULES FOR ALLOCATING THE BUFFER.
          TWJ    06/24/83  IOTEXT,  SYSTEXT, TXTCRM, FILE, GPTMDSQ, /KWMG/, 
                           FTNIF, /TPUTDSQ/ 
  
 SW10466  ADD CODE TO OPENDRM TO CHECK FOR FL GREATER THAN
          2**17-1 FOR RT=Z.  IF SO ISSUE 167 ERROR. 
          TWJ  06/23/83  OPENDRM
  
 SW10469  IF BOTH CMU AND LCM ARE AVAILABLE ON THE SAME MACHINE 
          AS WITH AN 825, BAM WOULD NOT CHECK THE LCM FLAG BEFORE MOVING
          DATA.  AS A RESULT SCM WOULD BE MOVED INSTEAD OF LCM. THE 
          SOLUTION IS TO CHECK THE LCM BIT BEFORE THE CMU BIT.
          TWJ    05/31/83  /MOVEDRM/,CTLDRM 
  
 *L617*    ************************************************ 
 SW1A505  (BAM PL)
          ALLOWS PROCESSING OF MULTI-FILE REELS ON NOS. 
          TWJ  10/06/83  OPENDRM,CLSFDRM
  
 SW1A628  PUT$S CALLED CHWR$RM TO CONVERT THE MBL TO WORDS
          AND UNUSED BITS TO COMPARE WITH THE AMOUNT OF DATA IN 
          THE BUFFER TO DECIDE TO ISSUE A CIO REQUEST. IT NEGLECTED TO
          REMOVE THE UNUSED BIT COUNT BEFORE DOING THE COMPARE. 
          THEREFORE AT TIMES IT WOULD NOT ISSUE A CIO REQUEST WHEN IT 
          SHOULD THUS CAUSING INTERMITANT LOOPS.
          TWJ    07/07/83  /PUTDS/,PUTDS
  
 SW1A638  REWIND USES SPECIAL CODE TO FLUSH AN INTERACTIVE
          FILE SINCE THE DEVICE DOES NOT SUPPORT A CIO REWIND. THIS CODE
          DID NOT SET THE LOP FIELD. ADD CODE TO SET LOP FOR INTERACTIVE
          FILES FOR REWIND WEOR AND ENDFILE.
          TWJ    06/29/83  CTLDWR 
  
 SW1A640  REPO$SQ TRIED TO DISPOSE OF THE FOUR BITS ADDED BY
          ROUNDING ON 9 TRACK BINARY TAPES BUT FORGOT TO REDUCE X6
          WHICH CONTAINS THE BUFFER SPACE.
          TWJ    09/15/83  /REPODSQ/,SKBLDSQ
  
 SW1A641  PROBLEM - PLST$RM MOVES THE CONTENTS OF THE FIRST WORD
          OF THE FIT INTO A LOCAL STORAGE AREA WHEN THE FIT IS
          PASSED FROM COBOL AND IT WAS A LINKAGE PARAMETER TO THE 
          COBOL ROUTINE.  BECAUSE THE LENGTH FIELD WAS NON-ZERO,
          PLST$RM MOVED THE VALUE INTO A LOCAL AREA TO INSURE THAT
          THE VALUE USED BY CRM IS WORD JUSTIFIED.  IN THE CASE OF
          A WSA OR KA, IT REQUIRES THE PARAMETER BE ON A WORD 
          BOUNDARY, AND IT DOES NOT MOVE IT -- IT JUST USES THE 
          IDENTIFIED LOCATION.
          SOLUTION - MODIFY THE MASK IN PLST$RM SO THAT THE FIRST 
          MASK BIT IS ALWAYS SET.  THUS, THE FIT WILL BE TREATED
          LIKE THE WSA AND KA -- IT MUST BE WORD JUSTIFIED, AND PLST$RM 
          WILL USE THE LOCATION OF THE FIT, AND NOT TRY TO MOVE IT. 
          CFR    83/09/29    FTNIF
  
 SW1A642  SKIPBL ON BT=I ON AN S/L DEVICE COULD CAUSE BL
          TO BECOME NEGATIVE CAUSING FIT+36 TO BE DESTROYED 
          RESULTING IN A 130 ERROR. THIS CODE SETS BL PROPERLY. 
          TWJ  10/18/83    SKBLDSQ
  
 SW1A643  PSR SW10442 FIXED A BLANK STRIPPING PROBLEM ON FIELDS 
          LIKE LFN BUT CAUSED A REGRESSION IN PROCESSSING FIELDS WHICH
          ARE PASSED AS ADDRESSES SUCH AS DCT OR KA. THIS CODE SHOULD 
          MAKE IT SO BOTH CASES WORK. 
          TWJ    11/04/83    FTNIF
  
 SW10443  GETDZ WAS INCORRECTLY COUNTING THE LAST SIX BITS
          OF ZERO OF AN AT SIGN IN ASCII AS PART OF THE ZERO
          BYTE WHEN CALCULATING THE RL. 
          TWJ    07/01/83  /GETDZ/,GETDZ
  
 SW10444  ON NOS/BE ASCII FILES GETDZ CHANGES AN AT SIGN TO A M.
          PUTDZ DOES NOT ADD THE ZERO WORD WHEN A WORD ENDS IN AN AT SIGN.
          TWJ    07/01/83  /GETDZ/,GETDZ,/PUTDZ/,PUTDZ
  
 SW10456  CLOSEL WAS SETTING LOP TO #CL# BEFORE IT CHECKED
          TO SEE IF A GETL OR PUTL HAD BEEN DONE (USING LOP). 
          THIS CODE MOVES THE SETTING OF LOP UNTIL AFTER THESE CHECKS.
          TWJ    07/06/83  LABLDRM
  
 SW10475  MODIFY VFD INSTRUCTIONS IN RECOVR SO THAT ALL OF THEM USE 
          ONLY 18 BIT RELOCATION FOR ADDRESS FIELD. THIS IS REQUIRED
          IF RECOVR IS TO BE LOADABLE IN OVCAPS AND CAPSULES. 
          RRR    83/08/05    RECOVR 
  
 SW10476  CHANGE SKIPFP TO LOOP SKP TIMES CHECKING EACH 
          TIME FOR EOP AND EOI. 
          TWJ    07/15/83  SKIPDSQ
  
 SW10477  ONE PATH EXISTED THAT DID NOT INCREMENT PTL 
          TWJ    07/22/83  /GETDZ/,GETDZ
  
 SW10479  AN ERROR IN REGISTER USAGE CAUSED PLST$RM TO USE
          THE WRONG ADDRESS FOR THE FIT ADDRESS WHEN DEALING WITH 
          UEM/ECS 
          TWJ    09/21/83  FTNIF
  
 SW10480  WHEN WRITING S RECORDS LONGER THAN 2**24 CHARACTERS, IT 
          IS POSSIBLE TO HAVE RL=0 AND EQUAL TO RRL. THIS IS THE KEY
          USED TO INDICATE END OF RECORD. IF RRL=0 PUTDS SHOULD NOT 
          CHECK FOR END OF RECORD.
          TWJ    09/21/83  PUTDS,/PUTDS/
  
 SW10484  FORTRAN INTERFACE ROUTINE FAILED TO SET B7=1
          TO FLAG THE SOURCE OF ERRORS FOR ER$PROC. ALSO SYM$SRH
          RIGHT JUSTIFIES THE SYMBOL BUT ER$PROC EXPECTS IT LEFT
          JUSTIFIED.
          TWJ  10/19/83    FTNIF
  
 SW10486  WHEN CRM OPENS A FILE IT FIRST DOES A FILINFO 
          TO GET INFO ON FILE. IF THIS IS DONE ON A FILE WITH 
          AN ACTIVE CIO REQUEST AN IO SEQUENCE ERROR RESULTS. FOR 
          FILES THAT ARE FO=AAM CHECK LOF FOR ENTRY AND RECALL BZF
          IF IT EXISTS. 
          TWJ    10/31/83    OPENDRM
  
 *L628*    ************************************************ 
 SW1A646  REPAIR BREAKAGE IN SW10486 CAUSING RCL ON  FIT DUE TO BUG 
          IN SCAN OF LIST OF FILES LOGIC.  THIS WAS BREAKING SES.CADSG
          AND SES.CADSEDIT ROUTINES.
          TWJ/SCC 84/04/04   OPENDRM
  
 SW1A647  CHANGE CRM SO THAT THE IC FIELD IN THE FIT DEFAULTS 
          TO THE EQUIVALENT OF IP.CSET. THS REQUIRES CHANGES TO THE 
          FILESQ AND FILEIS MACROS AND EQUIVALENT FTNIF ROUTINES. 
          TWJ   06/27/84    IOTEXT,SYSTEXT,/CRMCOM/,FTNIF 
  
 SW10494  FOR GETP'S THAT DO NOT HIT EOR, IT WAS POSSIBLE TO
          GET AN INVALID FP=EOR STATUS BECAUSE RRL WAS BEING SET
          ARBITRARILY.  SET RRL TO FL FOR THIS CASE.
          TWJ    02/01/84    /GETDZ/,GETDZ
  
 *L642*    ************************************************ 
 SW1A644  IF A USER MAKES A RECOVR CALL FOR TERMINAL INTERUPTS
          AND DOES A USER BREAK ONE WHILE A TERMINAL GET IS REQUESTED 
          A "HUNG IN AUTORECALL" ERROR WILL RESULT AT CLOSE TIME. 
          THIS CODE INSURES THAT A CONNECTED FILE'S COMPLETE BIT IS 
          SET IN CLOSEM SINCE IN ALL CASES EXCEPT THIS ONE IT WILL
          BE ANYWAY.
          TWJ    09/27/84    CLSFDRM
  
 SW1A645  RECOVR ASSUMED ALL MACHINES HAD AN XJ INSTRUCTION.
          IT APPEARS THERE ARE STILL SOME OLD NOS/BE MACHINES 
          THAT DONT. THIS CODE CHECKS THE LOW CORE BIT AND IF NO
          XJ EXISTS IT SUBSTITUTES A WAIT LOOP. 
          TWJ    09/27/84    RECOVR 
  
 SW1A648  CHANGE GET$W TO MAKE W-CONTROL WORD ERROR FATAL 
          TWJ    07/25/84    GETDW,/GETDW/
  
 SW10500  GET$S DOES NOT CLEAR ERROR CODE WHEN PROCESSING 
          PARITY ERRORS WITH EO=A SO AN INFINITE LOOP RESULTS.
          THIS CODE CLEARS THE STATUS AFTER THE ERROR IS ISSUED.
          TWJ    09/27/84    GETDS,/GETDS/
  
 SW10502  REMOVE 18 BIT ARITHEMETIC FROM PUT$W
          TWJ    08/31/84    PUTDW,/PUTDW/
  
 SW10504  FIX THE FILE CONTROL CARD PROCESSOR TO DEFAULT TO ORG=NEW 
          WHEN LOADING ROUTINES FOR STATIC LOADING
          TWJ    08/30/84    FILE 
  
 SW10505  CHANGE PROCESSING OF D AND T TYPE RECORDS TO CHECK FOR
          PADDING IN COUNT FIELD. IF PADDING SKIP REST OF BLOCK.
          TWJ    09/05/84    GETDSQ,/GETDSQ/,/DCDTDSQ/,GETDDT 
  
 SW10507  BAMPL 
          WHEN GET$S DETECTED END-OF-VOLUME IT WAS NOT SAVING 
          AND RESTORING B6 OR X0 OR REINITIALIZING B3 SO STRANGE
          JUMPS COULD OCCUR.
          TWJ    11/30/84    GETDS,/GETDS/
  
 SW10509  FIX LOSS OF DATA WHEN EOV ENCOUNTERED DURING FLUSH
          OF BUFFERS. 
          TWJ    10/12/84    /PUTDSQ/,PUTDSQ
  
 SW10511  WHEN INSUFFICIENT DATA WAS FOUND ON A K BLOCK FILE
          THE KRN FIELD WAS NOT RESET AND THE RIGHT NUMBER
          OF RECORDS WERE NOT READ FROM THE NEXT BLOCK
          TWJ    10/12/84    GETDSQ,/GETDSQ/
  
 SW10526  SKIPDSQ FAILED TO SET THE B4 REGISTER WITH A VALUE
          FOR THE FP(FILE POSITION) FOR A SKIPFP OF 0 RECORDS. THIS 
          CODE SETS THE FIELD.
          TWJ    09/26/84   SKIPDSQ 
  
 SW10527  GET$S HAD SOME TIMING HOLES IN IT S PARITY ERROR PROCESSING 
          THAT ALLOWED SOME PARITY ERRORS TO BE IGNORED. THIS CODE PLUGS
          THOSE HOLES.
  
          TWJ    10/12/84    GETDS,/GETDS/
 *L650*    ************************************************ 
 SW1A649  SUPPORT CODE FOR AM2A305.  INTRODUCES THE PASSLOC ENTRY FOR 
          ITEM AAM$PBC, AND CREATES THE ITEM IN CTRLDAA.
          CFR    85/08/07    CTLDRM, CTRLDAA
  
 SW10535  GET$EK USED B-REGISTERS FOR VALUES THAT COULD REACH 
          18 BITS AND THUS BECOME NEGATIVE. THIS CODE REPLACES LOGIC
          WITH 60 BIT CODE. 
          TWJ    01/25/85    /GETDKEC/,GETDEK 
  
 SW10540  BAMPL 
          THE CHECKING FOR END OF BLOCK USING BL DID NOT TAKE THE S/L 
          CONTROL WORD INTO ACCOUNT - THIS ALLOWED BAM TO JUMP TO THE 
          NEXT BLOCK INSTEAD OF TAKING THE INSUFFICIENT ERROR JUMP. 
          TWJ    04/23/85    GETDSQ,/GETDSQ/
  
 *L670*    ************************************************ 
 SW1A650  FOR BT=C AND MBL NOT A MULTIPLE OF 10,
          BAM WOULD PUT THE S-TAPE CONTROL WORD IN THE
          WRONG PLACE 
          TWJ    11/04/85    /PUTDCI/,PUTDCI
  
 SW10548  BAM PL
          FTNIF FAILED TO DEFAULT PC=76B FOR FO=SQ. THIS MEANT THAT 
          FORM COULD NOT READ THE VAX TAPE UNLESS A PC WAS SET ON THE 
          FILE STATEMENT
          TWJ    01/21/86    FTNIF
  
 *L688*    ************************************************ 
 *L716*    ************************************************ 
 SW10554  (BAM PL)
          INSURE THAT I/O REQUEST IS NOT ISSUED IF S TAPE WAS BUSY BEFORE 
          EOF/ERROR CHECKS
          TWJ  06/09/88  /GETDS/,GETDS
  
 *L739*    ************************************************ 
 *L780*    ************************************************ 
 *L797*    ************************************************ 
 *L803*    ************************************************ 
 SW10566  IMPLEMENT SUPPORT FOR CARTRIDGE TAPE AND *LI* FORMAT TAPE.
          RED  92/11/13  OPENDRM
  
 *L826*    ************************************************ 
 SW1A651  PROBLEM- CYBER RECORD MANAGER DOES NOT SUPPORT OPTICAL DISK.
  
          SOLUTION- PROVIDE SUPPORT FOR OPTICAL DISK FET EXTENSIONS 
          AND EXPANDED BUFFERS FOR OPTICAL DISK FILES IN *BAM*. 
          RED  93/07/29  IOTEXT FTNIF CTLDRM OPENDRM
  
 SW10567  CORRECT *BAM* PROBLEM OPENING *FORM* INPUT FILE AFTER MODSET
          *SW1A651* INTRODUCED OPTICAL DISK CODE.  RANDOM ADDRESS DATA
          WAS INCORRECTLY BEING PLACED INTO FETS FOR SEQUENTIAL FILES.
          RED.   94/02/17.   CTLDRM.
  
 BAM*94   PROBLEM -  COPYRIGHT STATEMENTS NEED TO BE UPDATED. 
  
          SOLUTION - UPDATE ALL COPYRIGHTS TO 1994 AND CHANGE ANY REFERENCES
                     TO CONTROL DATA CORPORATION TO CONTROL DATA SYSTEMS INC. 
  
          BAO    04/19/94    /CMNTXT/,IOTEXT,/TXTCRM/,LISTDRM,RECOVR,CRMEPC 
 *L840*    ************************************************ 
 *L847*    ************************************************ 
 *L851*    ************************************************ 
 *L859*    ************************************************ 
 *L871*    ************************************************ 
  
  
